const url = 'ws://localhost:5678';
const connection = new WebSocket(url);

connection.onopen = () => {
  console.log("connected to server");
}

connection.onerror = (error) => {
  console.log(`WebSocket error: ${error}`);
}

connection.onmessage = (e) => {
  //console.log(e.data);

  parsed_data = JSON.parse(e.data);
  
  try{
    if(parsed_data['type'] == 'scan'){
      updateChart(parsed_data['data']);
    }
    else if(parsed_data['type'] == 'dir'){
      updateMap(parsed_data['data']);
    }
  }
  catch(err){
    console.log(err);
  }
}


connection.onclose = () => {
    console.log("connection closed by the server");
}