#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# SPDX-License-Identifier: GPL-3.0
#
# GNU Radio Python Flow Graph
# Title: auto_calibration_save_file
# Author: erik
# GNU Radio version: 3.8.1.0

from distutils.version import StrictVersion

if __name__ == '__main__':
    import ctypes
    import sys
    if sys.platform.startswith('linux'):
        try:
            x11 = ctypes.cdll.LoadLibrary('libX11.so')
            x11.XInitThreads()
        except:
            print("Warning: failed to XInitThreads()")

from PyQt5 import Qt
from gnuradio import qtgui
from gnuradio.filter import firdes
import sip
from gnuradio import blocks
import pmt
from gnuradio import filter
from gnuradio import gr
import sys
import signal
from argparse import ArgumentParser
from gnuradio.eng_arg import eng_float, intx
from gnuradio import eng_notation
from gnuradio.qtgui import Range, RangeWidget
import epy_block_0
import epy_block_0_1
import epy_block_0_1_0
import epy_block_0_1_1
import th
import np  # embedded python module
from gnuradio import qtgui

class auto_calibration_save_file(gr.top_block, Qt.QWidget):

    def __init__(self):
        gr.top_block.__init__(self, "auto_calibration_save_file")
        Qt.QWidget.__init__(self)
        self.setWindowTitle("auto_calibration_save_file")
        qtgui.util.check_set_qss()
        try:
            self.setWindowIcon(Qt.QIcon.fromTheme('gnuradio-grc'))
        except:
            pass
        self.top_scroll_layout = Qt.QVBoxLayout()
        self.setLayout(self.top_scroll_layout)
        self.top_scroll = Qt.QScrollArea()
        self.top_scroll.setFrameStyle(Qt.QFrame.NoFrame)
        self.top_scroll_layout.addWidget(self.top_scroll)
        self.top_scroll.setWidgetResizable(True)
        self.top_widget = Qt.QWidget()
        self.top_scroll.setWidget(self.top_widget)
        self.top_layout = Qt.QVBoxLayout(self.top_widget)
        self.top_grid_layout = Qt.QGridLayout()
        self.top_layout.addLayout(self.top_grid_layout)

        self.settings = Qt.QSettings("GNU Radio", "auto_calibration_save_file")

        try:
            if StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
                self.restoreGeometry(self.settings.value("geometry").toByteArray())
            else:
                self.restoreGeometry(self.settings.value("geometry"))
        except:
            pass

        ##################################################
        # Variables
        ##################################################
        self.signal_freq = signal_freq = 53.3e6
        self.samp_rate = samp_rate = 2e6
        self.freq_shift = freq_shift = 450e3
        self.wavelen = wavelen = 3e8/signal_freq
        self.sla2_mast_dist = sla2_mast_dist = 3.5
        self.sla2_mast_angle = sla2_mast_angle = 180
        self.sla1_sla2_dist = sla1_sla2_dist = 3.5
        self.sla1_sla2_angle = sla1_sla2_angle = 325
        self.sla1_mast_dist = sla1_mast_dist = 1.5
        self.sla1_mast_angle = sla1_mast_angle = 270
        self.sl2_ph_fix = sl2_ph_fix = 0
        self.sl1_ph_fix = sl1_ph_fix = 0
        self.samp_size = samp_size = 2**10
        self.rf_gain = rf_gain = 0
        self.lowpass = lowpass = firdes.low_pass(1,samp_rate,10000,50000)
        self.if_gain = if_gain = 0
        self.device_params = device_params = ["","hackrf=000000000000000087c867dc2b32845f,hw_sync=1 hackrf=000000000000000087c867dc2b74ad5f,hw_sync=1 hackrf=000000000000000087c867dc2a3b625f,hw_sync=2","hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"]
        self.device_id = device_id = 1
        self.center_freq = center_freq = signal_freq - freq_shift
        self.calibration_mode_src = calibration_mode_src = False
        self.bb_gain = bb_gain = 0

        ##################################################
        # Blocks
        ##################################################
        self.tabs = Qt.QTabWidget()
        self.tabs_widget_0 = Qt.QWidget()
        self.tabs_layout_0 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_0)
        self.tabs_grid_layout_0 = Qt.QGridLayout()
        self.tabs_layout_0.addLayout(self.tabs_grid_layout_0)
        self.tabs.addTab(self.tabs_widget_0, 'Calibration')
        self.tabs_widget_1 = Qt.QWidget()
        self.tabs_layout_1 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_1)
        self.tabs_grid_layout_1 = Qt.QGridLayout()
        self.tabs_layout_1.addLayout(self.tabs_grid_layout_1)
        self.tabs.addTab(self.tabs_widget_1, 'gains')
        self.tabs_widget_2 = Qt.QWidget()
        self.tabs_layout_2 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_2)
        self.tabs_grid_layout_2 = Qt.QGridLayout()
        self.tabs_layout_2.addLayout(self.tabs_grid_layout_2)
        self.tabs.addTab(self.tabs_widget_2, 'vsink')
        self.tabs_widget_3 = Qt.QWidget()
        self.tabs_layout_3 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_3)
        self.tabs_grid_layout_3 = Qt.QGridLayout()
        self.tabs_layout_3.addLayout(self.tabs_grid_layout_3)
        self.tabs.addTab(self.tabs_widget_3, 'combined')
        self.top_grid_layout.addWidget(self.tabs)
        self._sla2_mast_dist_range = Range(0, 10, 0.01, 3.5, 200)
        self._sla2_mast_dist_win = RangeWidget(self._sla2_mast_dist_range, self.set_sla2_mast_dist, 'sla2_mast_dist', "counter_slider", float)
        self.tabs_layout_3.addWidget(self._sla2_mast_dist_win)
        self._sla2_mast_angle_range = Range(0, 360, 1, 180, 200)
        self._sla2_mast_angle_win = RangeWidget(self._sla2_mast_angle_range, self.set_sla2_mast_angle, 'sla2_mast_angle', "counter_slider", int)
        self.tabs_grid_layout_2.addWidget(self._sla2_mast_angle_win, 2, 0, 1, 1)
        for r in range(2, 3):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self._sla1_sla2_dist_range = Range(0, 10, 0.01, 3.5, 200)
        self._sla1_sla2_dist_win = RangeWidget(self._sla1_sla2_dist_range, self.set_sla1_sla2_dist, 'sla1_sla2_dist', "counter_slider", float)
        self.tabs_layout_3.addWidget(self._sla1_sla2_dist_win)
        self._sla1_sla2_angle_range = Range(0, 360, 1, 325, 200)
        self._sla1_sla2_angle_win = RangeWidget(self._sla1_sla2_angle_range, self.set_sla1_sla2_angle, 'sla1_sla2_angle', "counter_slider", int)
        self.tabs_grid_layout_2.addWidget(self._sla1_sla2_angle_win, 0, 0, 1, 1)
        for r in range(0, 1):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self._sla1_mast_dist_range = Range(0, 10, 0.01, 1.5, 200)
        self._sla1_mast_dist_win = RangeWidget(self._sla1_mast_dist_range, self.set_sla1_mast_dist, 'sla1_mast_dist', "counter_slider", float)
        self.tabs_layout_3.addWidget(self._sla1_mast_dist_win)
        self._sla1_mast_angle_range = Range(0, 360, 1, 270, 200)
        self._sla1_mast_angle_win = RangeWidget(self._sla1_mast_angle_range, self.set_sla1_mast_angle, 'sla1_mast_angle', "counter_slider", int)
        self.tabs_grid_layout_2.addWidget(self._sla1_mast_angle_win, 1, 0, 1, 1)
        for r in range(1, 2):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self._sl2_ph_fix_range = Range(0, 6.28, 0.01, 0, 200)
        self._sl2_ph_fix_win = RangeWidget(self._sl2_ph_fix_range, self.set_sl2_ph_fix, 'sl2_phase_fix', "counter_slider", float)
        self.tabs_grid_layout_0.addWidget(self._sl2_ph_fix_win, 3, 0, 1, 1)
        for r in range(3, 4):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self._sl1_ph_fix_range = Range(0, 6.28, 0.01, 0, 200)
        self._sl1_ph_fix_win = RangeWidget(self._sl1_ph_fix_range, self.set_sl1_ph_fix, 'sl1_phase_fix', "counter_slider", float)
        self.tabs_grid_layout_0.addWidget(self._sl1_ph_fix_win, 2, 0, 1, 1)
        for r in range(2, 3):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.rotate_vectors_0 = th.rotate_vectors(360,sla1_sla2_angle,sla1_mast_angle,sla2_mast_angle)
        self._rf_gain_range = Range(0, 14, 14, 0, 200)
        self._rf_gain_win = RangeWidget(self._rf_gain_range, self.set_rf_gain, 'RF gain', "counter_slider", float)
        self.tabs_grid_layout_1.addWidget(self._rf_gain_win, 1, 0, 1, 1)
        for r in range(1, 2):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.qtgui_vector_sink_f_0_0_0_0 = qtgui.vector_sink_f(
            360,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "S2-M",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0_0_0_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0_0_0_0.set_y_axis(-20, 10)
        self.qtgui_vector_sink_f_0_0_0_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0_0_0_0.enable_grid(False)
        self.qtgui_vector_sink_f_0_0_0_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0_0_0_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0_0_0_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0_0_0_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0_0_0_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0_0_0_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0_0_0_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0_0_0_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_0_0_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0_0_0_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_2.addWidget(self._qtgui_vector_sink_f_0_0_0_0_win, 2, 1, 1, 6)
        for r in range(2, 3):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(1, 7):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self.qtgui_vector_sink_f_0_0_0 = qtgui.vector_sink_f(
            360,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "Mult",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0_0_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0_0_0.set_y_axis(-20, 10)
        self.qtgui_vector_sink_f_0_0_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0_0_0.enable_grid(True)
        self.qtgui_vector_sink_f_0_0_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0_0_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0_0_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0_0_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0_0_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0_0_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0_0_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0_0_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_0_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0_0_0.pyqwidget(), Qt.QWidget)
        self.tabs_layout_3.addWidget(self._qtgui_vector_sink_f_0_0_0_win)
        self.qtgui_vector_sink_f_0_0 = qtgui.vector_sink_f(
            360,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "S1-M",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0_0.set_y_axis(-20, 10)
        self.qtgui_vector_sink_f_0_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0_0.enable_grid(False)
        self.qtgui_vector_sink_f_0_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_2.addWidget(self._qtgui_vector_sink_f_0_0_win, 1, 1, 1, 6)
        for r in range(1, 2):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(1, 7):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self.qtgui_vector_sink_f_0 = qtgui.vector_sink_f(
            360,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "S1-S2",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0.set_y_axis(-20, 10)
        self.qtgui_vector_sink_f_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0.enable_grid(False)
        self.qtgui_vector_sink_f_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_2.addWidget(self._qtgui_vector_sink_f_0_win, 0, 1, 1, 6)
        for r in range(0, 1):
            self.tabs_grid_layout_2.setRowStretch(r, 1)
        for c in range(1, 7):
            self.tabs_grid_layout_2.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1_0 = qtgui.histogram_sink_f(
            100,
            100,
            -np.pi,
            np.pi,
            "corr_faasid",
            3
        )

        self.qtgui_histogram_sink_x_1_0.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0.enable_axis_labels(True)


        labels = ['Sla1- Sla2', 'Sla1-Mast', 'Sla2-Mast', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0.pyqwidget(), Qt.QWidget)
        self.tabs_layout_0.addWidget(self._qtgui_histogram_sink_x_1_0_win)
        self.qtgui_freq_sink_x_0 = qtgui.freq_sink_c(
            1024, #size
            firdes.WIN_BLACKMAN_hARRIS, #wintype
            0, #fc
            samp_rate, #bw
            "", #name
            3
        )
        self.qtgui_freq_sink_x_0.set_update_time(0.10)
        self.qtgui_freq_sink_x_0.set_y_axis(-140, 10)
        self.qtgui_freq_sink_x_0.set_y_label('Relative Gain', 'dB')
        self.qtgui_freq_sink_x_0.set_trigger_mode(qtgui.TRIG_MODE_FREE, 0.0, 0, "")
        self.qtgui_freq_sink_x_0.enable_autoscale(False)
        self.qtgui_freq_sink_x_0.enable_grid(False)
        self.qtgui_freq_sink_x_0.set_fft_average(1.0)
        self.qtgui_freq_sink_x_0.enable_axis_labels(True)
        self.qtgui_freq_sink_x_0.enable_control_panel(False)



        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_freq_sink_x_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_freq_sink_x_0.set_line_label(i, labels[i])
            self.qtgui_freq_sink_x_0.set_line_width(i, widths[i])
            self.qtgui_freq_sink_x_0.set_line_color(i, colors[i])
            self.qtgui_freq_sink_x_0.set_line_alpha(i, alphas[i])

        self._qtgui_freq_sink_x_0_win = sip.wrapinstance(self.qtgui_freq_sink_x_0.pyqwidget(), Qt.QWidget)
        self.tabs_layout_1.addWidget(self._qtgui_freq_sink_x_0_win)
        self.th_x_corr_0_0_0 = th.cross_correlate(256,256,10)
        self.th_x_corr_0_0 = th.cross_correlate(256,256,10)
        self.th_x_corr_0 = th.cross_correlate(256,256,10)
        self.th_phase_corr_0_0 = th.phase_correction(1.0, sl2_ph_fix)
        self.th_phase_corr_0 = th.phase_correction(1.0, sl1_ph_fix)
        self.th_DOA_general_2ant_0_0_0 = th.DOA_general_2ant(samp_size, sla2_mast_dist/wavelen, 'MUSIC', 300, True)
        self.th_DOA_general_2ant_0_0 = th.DOA_general_2ant(samp_size, sla1_mast_dist/wavelen, 'MUSIC', 300, True)
        self.th_DOA_general_2ant_0 = th.DOA_general_2ant(samp_size, sla1_sla2_dist/wavelen, 'MUSIC', 300, True)
        self._if_gain_range = Range(0, 40, 8, 0, 200)
        self._if_gain_win = RangeWidget(self._if_gain_range, self.set_if_gain, 'IF gain', "counter_slider", float)
        self.tabs_grid_layout_1.addWidget(self._if_gain_win, 2, 0, 1, 1)
        for r in range(2, 3):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.freq_xlating_fir_filter_xxx_0_0_0 = filter.freq_xlating_fir_filter_ccc(10, lowpass, freq_shift, samp_rate)
        self.freq_xlating_fir_filter_xxx_0_0 = filter.freq_xlating_fir_filter_ccc(10, lowpass, freq_shift, samp_rate)
        self.freq_xlating_fir_filter_xxx_0 = filter.freq_xlating_fir_filter_ccc(10, lowpass, freq_shift, samp_rate)
        self.epy_block_0_1_1 = epy_block_0_1_1.blk()
        self.epy_block_0_1_0 = epy_block_0_1_0.blk()
        self.epy_block_0_1 = epy_block_0_1.blk()
        self.epy_block_0 = epy_block_0.blk()
        _calibration_mode_src_check_box = Qt.QCheckBox('Calibration source')
        self._calibration_mode_src_choices = {True: True, False: False}
        self._calibration_mode_src_choices_inv = dict((v,k) for k,v in self._calibration_mode_src_choices.items())
        self._calibration_mode_src_callback = lambda i: Qt.QMetaObject.invokeMethod(_calibration_mode_src_check_box, "setChecked", Qt.Q_ARG("bool", self._calibration_mode_src_choices_inv[i]))
        self._calibration_mode_src_callback(self.calibration_mode_src)
        _calibration_mode_src_check_box.stateChanged.connect(lambda i: self.set_calibration_mode_src(self._calibration_mode_src_choices[bool(i)]))
        self.tabs_grid_layout_0.addWidget(_calibration_mode_src_check_box, 10, 0, 1, 1)
        for r in range(10, 11):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.blocks_vector_to_streams_0 = blocks.vector_to_streams(gr.sizeof_gr_complex*1, 3)
        self.blocks_stream_to_vector_0_1 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_0_1_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_0_1 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, 256)
        self.blocks_stream_to_vector_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, 256)
        self.blocks_stream_to_vector_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, 256)
        self.blocks_null_sink_0_1_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_1 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_2_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_2_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_2 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_1_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_1 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_multiply_xx_0 = blocks.multiply_vff(360)
        self.blocks_multiply_const_vxx_0 = blocks.multiply_const_vff(np.full(360,10))
        self.blocks_file_source_0 = blocks.file_source(gr.sizeof_gr_complex*3, '/home/erik/Music/signal_71_360deg.3.iq', True, 0, 0)
        self.blocks_file_source_0.set_begin_tag(pmt.PMT_NIL)
        self.blocks_complex_to_magphase_1_0_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_1_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_1 = blocks.complex_to_magphase(1)
        self.blocks_add_const_vxx_0 = blocks.add_const_vff(np.full(360,-10))
        self._bb_gain_range = Range(0, 62, 2, 0, 200)
        self._bb_gain_win = RangeWidget(self._bb_gain_range, self.set_bb_gain, 'BB gain', "counter_slider", float)
        self.tabs_grid_layout_1.addWidget(self._bb_gain_win, 3, 0, 1, 1)
        for r in range(3, 4):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)



        ##################################################
        # Connections
        ##################################################
        self.connect((self.blocks_add_const_vxx_0, 0), (self.qtgui_vector_sink_f_0_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_1, 0), (self.blocks_null_sink_0_0_2, 0))
        self.connect((self.blocks_complex_to_magphase_1, 1), (self.qtgui_histogram_sink_x_1_0, 0))
        self.connect((self.blocks_complex_to_magphase_1_0, 0), (self.blocks_null_sink_0_0_2_0, 0))
        self.connect((self.blocks_complex_to_magphase_1_0, 1), (self.qtgui_histogram_sink_x_1_0, 1))
        self.connect((self.blocks_complex_to_magphase_1_0_0, 0), (self.blocks_null_sink_0_0_2_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_1_0_0, 1), (self.qtgui_histogram_sink_x_1_0, 2))
        self.connect((self.blocks_file_source_0, 0), (self.blocks_vector_to_streams_0, 0))
        self.connect((self.blocks_multiply_const_vxx_0, 0), (self.blocks_add_const_vxx_0, 0))
        self.connect((self.blocks_multiply_xx_0, 0), (self.epy_block_0_1_1, 0))
        self.connect((self.blocks_stream_to_vector_0, 0), (self.th_x_corr_0, 0))
        self.connect((self.blocks_stream_to_vector_0, 0), (self.th_x_corr_0_0, 0))
        self.connect((self.blocks_stream_to_vector_0_0, 0), (self.th_x_corr_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0, 0), (self.th_x_corr_0_0_0, 0))
        self.connect((self.blocks_stream_to_vector_0_0_0, 0), (self.th_x_corr_0_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0_0, 0), (self.th_x_corr_0_0_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0_1, 0), (self.th_DOA_general_2ant_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0_1, 0), (self.th_DOA_general_2ant_0_0_0, 0))
        self.connect((self.blocks_stream_to_vector_0_0_1_0, 0), (self.th_DOA_general_2ant_0_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0_1_0, 0), (self.th_DOA_general_2ant_0_0_0, 1))
        self.connect((self.blocks_stream_to_vector_0_1, 0), (self.th_DOA_general_2ant_0, 0))
        self.connect((self.blocks_stream_to_vector_0_1, 0), (self.th_DOA_general_2ant_0_0, 0))
        self.connect((self.blocks_vector_to_streams_0, 2), (self.freq_xlating_fir_filter_xxx_0_0_0, 0))
        self.connect((self.blocks_vector_to_streams_0, 0), (self.th_phase_corr_0, 0))
        self.connect((self.blocks_vector_to_streams_0, 1), (self.th_phase_corr_0_0, 0))
        self.connect((self.blocks_vector_to_streams_0, 1), (self.qtgui_freq_sink_x_0, 1))
        self.connect((self.blocks_vector_to_streams_0, 2), (self.qtgui_freq_sink_x_0, 2))
        self.connect((self.blocks_vector_to_streams_0, 0), (self.qtgui_freq_sink_x_0, 0))
        self.connect((self.epy_block_0, 0), (self.blocks_multiply_xx_0, 0))
        self.connect((self.epy_block_0_1, 0), (self.blocks_multiply_xx_0, 1))
        self.connect((self.epy_block_0_1_0, 0), (self.blocks_multiply_xx_0, 2))
        self.connect((self.epy_block_0_1_1, 0), (self.blocks_multiply_const_vxx_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0, 0), (self.blocks_stream_to_vector_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0, 0), (self.blocks_stream_to_vector_0_1, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0, 0), (self.blocks_stream_to_vector_0_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0, 0), (self.blocks_stream_to_vector_0_0_1, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0_0, 0), (self.blocks_stream_to_vector_0_0_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0_0, 0), (self.blocks_stream_to_vector_0_0_1_0, 0))
        self.connect((self.th_DOA_general_2ant_0, 0), (self.rotate_vectors_0, 0))
        self.connect((self.th_DOA_general_2ant_0_0, 0), (self.rotate_vectors_0, 1))
        self.connect((self.th_DOA_general_2ant_0_0_0, 0), (self.rotate_vectors_0, 2))
        self.connect((self.th_phase_corr_0, 0), (self.freq_xlating_fir_filter_xxx_0, 0))
        self.connect((self.th_phase_corr_0_0, 0), (self.freq_xlating_fir_filter_xxx_0_0, 0))
        self.connect((self.th_x_corr_0, 0), (self.blocks_complex_to_magphase_1, 0))
        self.connect((self.th_x_corr_0, 1), (self.blocks_null_sink_0, 0))
        self.connect((self.th_x_corr_0, 2), (self.blocks_null_sink_0_0, 0))
        self.connect((self.th_x_corr_0_0, 0), (self.blocks_complex_to_magphase_1_0, 0))
        self.connect((self.th_x_corr_0_0, 1), (self.blocks_null_sink_0_0_1, 0))
        self.connect((self.th_x_corr_0_0, 2), (self.blocks_null_sink_0_1, 0))
        self.connect((self.th_x_corr_0_0_0, 0), (self.blocks_complex_to_magphase_1_0_0, 0))
        self.connect((self.th_x_corr_0_0_0, 1), (self.blocks_null_sink_0_0_1_0, 0))
        self.connect((self.th_x_corr_0_0_0, 2), (self.blocks_null_sink_0_1_0, 0))
        self.connect((self.rotate_vectors_0, 0), (self.epy_block_0, 0))
        self.connect((self.rotate_vectors_0, 1), (self.epy_block_0_1, 0))
        self.connect((self.rotate_vectors_0, 2), (self.epy_block_0_1_0, 0))
        self.connect((self.rotate_vectors_0, 0), (self.qtgui_vector_sink_f_0, 0))
        self.connect((self.rotate_vectors_0, 1), (self.qtgui_vector_sink_f_0_0, 0))
        self.connect((self.rotate_vectors_0, 2), (self.qtgui_vector_sink_f_0_0_0_0, 0))

    def closeEvent(self, event):
        self.settings = Qt.QSettings("GNU Radio", "auto_calibration_save_file")
        self.settings.setValue("geometry", self.saveGeometry())
        event.accept()

    def get_signal_freq(self):
        return self.signal_freq

    def set_signal_freq(self, signal_freq):
        self.signal_freq = signal_freq
        self.set_center_freq(self.signal_freq - self.freq_shift)
        self.set_wavelen(3e8/self.signal_freq)

    def get_samp_rate(self):
        return self.samp_rate

    def set_samp_rate(self, samp_rate):
        self.samp_rate = samp_rate
        self.set_lowpass(firdes.low_pass(1,self.samp_rate,10000,50000))
        self.qtgui_freq_sink_x_0.set_frequency_range(0, self.samp_rate)

    def get_freq_shift(self):
        return self.freq_shift

    def set_freq_shift(self, freq_shift):
        self.freq_shift = freq_shift
        self.set_center_freq(self.signal_freq - self.freq_shift)
        self.freq_xlating_fir_filter_xxx_0.set_center_freq(self.freq_shift)
        self.freq_xlating_fir_filter_xxx_0_0.set_center_freq(self.freq_shift)
        self.freq_xlating_fir_filter_xxx_0_0_0.set_center_freq(self.freq_shift)

    def get_wavelen(self):
        return self.wavelen

    def set_wavelen(self, wavelen):
        self.wavelen = wavelen
        self.th_DOA_general_2ant_0.set_element_spacing(self.sla1_sla2_dist/self.wavelen)
        self.th_DOA_general_2ant_0_0.set_element_spacing(self.sla1_mast_dist/self.wavelen)
        self.th_DOA_general_2ant_0_0_0.set_element_spacing(self.sla2_mast_dist/self.wavelen)

    def get_sla2_mast_dist(self):
        return self.sla2_mast_dist

    def set_sla2_mast_dist(self, sla2_mast_dist):
        self.sla2_mast_dist = sla2_mast_dist
        self.th_DOA_general_2ant_0_0_0.set_element_spacing(self.sla2_mast_dist/self.wavelen)

    def get_sla2_mast_angle(self):
        return self.sla2_mast_angle

    def set_sla2_mast_angle(self, sla2_mast_angle):
        self.sla2_mast_angle = sla2_mast_angle
        self.rotate_vectors_0.set_rot3(self.sla2_mast_angle)

    def get_sla1_sla2_dist(self):
        return self.sla1_sla2_dist

    def set_sla1_sla2_dist(self, sla1_sla2_dist):
        self.sla1_sla2_dist = sla1_sla2_dist
        self.th_DOA_general_2ant_0.set_element_spacing(self.sla1_sla2_dist/self.wavelen)

    def get_sla1_sla2_angle(self):
        return self.sla1_sla2_angle

    def set_sla1_sla2_angle(self, sla1_sla2_angle):
        self.sla1_sla2_angle = sla1_sla2_angle
        self.rotate_vectors_0.set_rot1(self.sla1_sla2_angle)

    def get_sla1_mast_dist(self):
        return self.sla1_mast_dist

    def set_sla1_mast_dist(self, sla1_mast_dist):
        self.sla1_mast_dist = sla1_mast_dist
        self.th_DOA_general_2ant_0_0.set_element_spacing(self.sla1_mast_dist/self.wavelen)

    def get_sla1_mast_angle(self):
        return self.sla1_mast_angle

    def set_sla1_mast_angle(self, sla1_mast_angle):
        self.sla1_mast_angle = sla1_mast_angle
        self.rotate_vectors_0.set_rot2(self.sla1_mast_angle)

    def get_sl2_ph_fix(self):
        return self.sl2_ph_fix

    def set_sl2_ph_fix(self, sl2_ph_fix):
        self.sl2_ph_fix = sl2_ph_fix
        self.th_phase_corr_0_0.set_phase(self.sl2_ph_fix)

    def get_sl1_ph_fix(self):
        return self.sl1_ph_fix

    def set_sl1_ph_fix(self, sl1_ph_fix):
        self.sl1_ph_fix = sl1_ph_fix
        self.th_phase_corr_0.set_phase(self.sl1_ph_fix)

    def get_samp_size(self):
        return self.samp_size

    def set_samp_size(self, samp_size):
        self.samp_size = samp_size

    def get_rf_gain(self):
        return self.rf_gain

    def set_rf_gain(self, rf_gain):
        self.rf_gain = rf_gain

    def get_lowpass(self):
        return self.lowpass

    def set_lowpass(self, lowpass):
        self.lowpass = lowpass
        self.freq_xlating_fir_filter_xxx_0.set_taps(self.lowpass)
        self.freq_xlating_fir_filter_xxx_0_0.set_taps(self.lowpass)
        self.freq_xlating_fir_filter_xxx_0_0_0.set_taps(self.lowpass)

    def get_if_gain(self):
        return self.if_gain

    def set_if_gain(self, if_gain):
        self.if_gain = if_gain

    def get_device_params(self):
        return self.device_params

    def set_device_params(self, device_params):
        self.device_params = device_params

    def get_device_id(self):
        return self.device_id

    def set_device_id(self, device_id):
        self.device_id = device_id

    def get_center_freq(self):
        return self.center_freq

    def set_center_freq(self, center_freq):
        self.center_freq = center_freq

    def get_calibration_mode_src(self):
        return self.calibration_mode_src

    def set_calibration_mode_src(self, calibration_mode_src):
        self.calibration_mode_src = calibration_mode_src
        self._calibration_mode_src_callback(self.calibration_mode_src)

    def get_bb_gain(self):
        return self.bb_gain

    def set_bb_gain(self, bb_gain):
        self.bb_gain = bb_gain



def main(top_block_cls=auto_calibration_save_file, options=None):

    if StrictVersion("4.5.0") <= StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
        style = gr.prefs().get_string('qtgui', 'style', 'raster')
        Qt.QApplication.setGraphicsSystem(style)
    qapp = Qt.QApplication(sys.argv)

    tb = top_block_cls()
    tb.start()
    tb.show()

    def sig_handler(sig=None, frame=None):
        Qt.QApplication.quit()

    signal.signal(signal.SIGINT, sig_handler)
    signal.signal(signal.SIGTERM, sig_handler)

    timer = Qt.QTimer()
    timer.start(500)
    timer.timeout.connect(lambda: None)

    def quitting():
        tb.stop()
        tb.wait()
    qapp.aboutToQuit.connect(quitting)
    qapp.exec_()


if __name__ == '__main__':
    main()
