#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# SPDX-License-Identifier: GPL-3.0
#
# GNU Radio Python Flow Graph
# Title: auto_calibration_with_noise_source
# Author: erik
# GNU Radio version: 3.8.1.0

from distutils.version import StrictVersion

if __name__ == '__main__':
    import ctypes
    import sys
    if sys.platform.startswith('linux'):
        try:
            x11 = ctypes.cdll.LoadLibrary('libX11.so')
            x11.XInitThreads()
        except:
            print("Warning: failed to XInitThreads()")

from PyQt5 import Qt
from gnuradio import qtgui
from gnuradio.filter import firdes
import sip
from gnuradio import blocks
from gnuradio import filter
from gnuradio import gr
import sys
import signal
from argparse import ArgumentParser
from gnuradio.eng_arg import eng_float, intx
from gnuradio import eng_notation
import epy_block_0
import epy_block_0_0_0_0_0
import epy_block_0_0_0_0_0_0
import epy_block_0_0_0_0_0_0_0
import epy_block_0_0_0_0_0_0_0_0
import epy_block_0_0_0_0_0_0_1
import epy_block_0_0_0_0_0_1
import epy_block_0_0_0_0_0_2
import epy_block_0_0_0_0_0_2_0
import epy_block_0_0_0_0_0_2_0_0
import th
import np  # embedded python module
import osmosdr
import time
from gnuradio import qtgui

class auto_calibration_with_noise_source(gr.top_block, Qt.QWidget):

    def __init__(self):
        gr.top_block.__init__(self, "auto_calibration_with_noise_source")
        Qt.QWidget.__init__(self)
        self.setWindowTitle("auto_calibration_with_noise_source")
        qtgui.util.check_set_qss()
        try:
            self.setWindowIcon(Qt.QIcon.fromTheme('gnuradio-grc'))
        except:
            pass
        self.top_scroll_layout = Qt.QVBoxLayout()
        self.setLayout(self.top_scroll_layout)
        self.top_scroll = Qt.QScrollArea()
        self.top_scroll.setFrameStyle(Qt.QFrame.NoFrame)
        self.top_scroll_layout.addWidget(self.top_scroll)
        self.top_scroll.setWidgetResizable(True)
        self.top_widget = Qt.QWidget()
        self.top_scroll.setWidget(self.top_widget)
        self.top_layout = Qt.QVBoxLayout(self.top_widget)
        self.top_grid_layout = Qt.QGridLayout()
        self.top_layout.addLayout(self.top_grid_layout)

        self.settings = Qt.QSettings("GNU Radio", "auto_calibration_with_noise_source")

        try:
            if StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
                self.restoreGeometry(self.settings.value("geometry").toByteArray())
            else:
                self.restoreGeometry(self.settings.value("geometry"))
        except:
            pass

        ##################################################
        # Variables
        ##################################################
        self.samp_rate = samp_rate = 2e6
        self.window_size = window_size = 2**9
        self.stack2_args_0 = stack2_args_0 = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=0 hackrf=000000000000000087c867dc2995a05f,hw_sync=0 hackrf=000000000000000087c867dc2977a15f,hw_sync=0"
        self.stack2_args = stack2_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.stack1_args = stack1_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.samp_size = samp_size = 2**8
        self.rf_gain = rf_gain = 14
        self.min_buf = min_buf = int(2**12)
        self.max_buf = max_buf = 0
        self.lowpass = lowpass = firdes.low_pass(1,samp_rate,10000,50000)
        self.if_gain = if_gain = 14
        self.fft_size = fft_size = 2**10
        self.decimation = decimation = 50
        self.decim = decim = 200
        self.centr_freq = centr_freq = 446e6
        self.calibration_show = calibration_show = False
        self.calibration_apply = calibration_apply = False
        self.bb_gain = bb_gain = 14

        ##################################################
        # Blocks
        ##################################################
        self.tabs = Qt.QTabWidget()
        self.tabs_widget_0 = Qt.QWidget()
        self.tabs_layout_0 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_0)
        self.tabs_grid_layout_0 = Qt.QGridLayout()
        self.tabs_layout_0.addLayout(self.tabs_grid_layout_0)
        self.tabs.addTab(self.tabs_widget_0, 'Calibration')
        self.tabs_widget_1 = Qt.QWidget()
        self.tabs_layout_1 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_1)
        self.tabs_grid_layout_1 = Qt.QGridLayout()
        self.tabs_layout_1.addLayout(self.tabs_grid_layout_1)
        self.tabs.addTab(self.tabs_widget_1, 'Angle finding')
        self.top_grid_layout.addWidget(self.tabs)
        _calibration_show_check_box = Qt.QCheckBox('calibration_show')
        self._calibration_show_choices = {True: True, False: False}
        self._calibration_show_choices_inv = dict((v,k) for k,v in self._calibration_show_choices.items())
        self._calibration_show_callback = lambda i: Qt.QMetaObject.invokeMethod(_calibration_show_check_box, "setChecked", Qt.Q_ARG("bool", self._calibration_show_choices_inv[i]))
        self._calibration_show_callback(self.calibration_show)
        _calibration_show_check_box.stateChanged.connect(lambda i: self.set_calibration_show(self._calibration_show_choices[bool(i)]))
        self.tabs_grid_layout_0.addWidget(_calibration_show_check_box, 0, 1, 1, 1)
        for r in range(0, 1):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(1, 2):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        _calibration_apply_check_box = Qt.QCheckBox('calibration_apply')
        self._calibration_apply_choices = {True: True, False: False}
        self._calibration_apply_choices_inv = dict((v,k) for k,v in self._calibration_apply_choices.items())
        self._calibration_apply_callback = lambda i: Qt.QMetaObject.invokeMethod(_calibration_apply_check_box, "setChecked", Qt.Q_ARG("bool", self._calibration_apply_choices_inv[i]))
        self._calibration_apply_callback(self.calibration_apply)
        _calibration_apply_check_box.stateChanged.connect(lambda i: self.set_calibration_apply(self._calibration_apply_choices[bool(i)]))
        self.tabs_grid_layout_0.addWidget(_calibration_apply_check_box, 0, 0, 1, 1)
        for r in range(0, 1):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.qtgui_vector_sink_f_0 = qtgui.vector_sink_f(
            181,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "DOA Bartlett",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0.set_update_time(0.05)
        self.qtgui_vector_sink_f_0.set_y_axis(-30, 5)
        self.qtgui_vector_sink_f_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0.enable_grid(True)
        self.qtgui_vector_sink_f_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_1.addWidget(self._qtgui_vector_sink_f_0_win, 0, 0, 1, 3)
        for r in range(0, 1):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 3):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.qtgui_time_sink_x_0_0 = qtgui.time_sink_c(
            2**10, #size
            samp_rate/decim, #samp_rate
            "", #name
            3 #number of inputs
        )
        self.qtgui_time_sink_x_0_0.set_update_time(0.10)
        self.qtgui_time_sink_x_0_0.set_y_axis(-1.5, 1.5)

        self.qtgui_time_sink_x_0_0.set_y_label('Amplitude', "")

        self.qtgui_time_sink_x_0_0.enable_tags(False)
        self.qtgui_time_sink_x_0_0.set_trigger_mode(qtgui.TRIG_MODE_FREE, qtgui.TRIG_SLOPE_POS, 0.0, 0, 0, "")
        self.qtgui_time_sink_x_0_0.enable_autoscale(False)
        self.qtgui_time_sink_x_0_0.enable_grid(False)
        self.qtgui_time_sink_x_0_0.enable_axis_labels(True)
        self.qtgui_time_sink_x_0_0.enable_control_panel(False)
        self.qtgui_time_sink_x_0_0.enable_stem_plot(False)


        labels = ['Signal 1', 'Signal 2', 'Signal 3', 'Signal 4', 'Signal 5',
            'Signal 6', 'Signal 7', 'Signal 8', 'Signal 9', 'Signal 10']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ['blue', 'red', 'green', 'black', 'cyan',
            'magenta', 'yellow', 'dark red', 'dark green', 'dark blue']
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers = [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]


        for i in range(6):
            if len(labels[i]) == 0:
                if (i % 2 == 0):
                    self.qtgui_time_sink_x_0_0.set_line_label(i, "Re{{Data {0}}}".format(i/2))
                else:
                    self.qtgui_time_sink_x_0_0.set_line_label(i, "Im{{Data {0}}}".format(i/2))
            else:
                self.qtgui_time_sink_x_0_0.set_line_label(i, labels[i])
            self.qtgui_time_sink_x_0_0.set_line_width(i, widths[i])
            self.qtgui_time_sink_x_0_0.set_line_color(i, colors[i])
            self.qtgui_time_sink_x_0_0.set_line_style(i, styles[i])
            self.qtgui_time_sink_x_0_0.set_line_marker(i, markers[i])
            self.qtgui_time_sink_x_0_0.set_line_alpha(i, alphas[i])

        self._qtgui_time_sink_x_0_0_win = sip.wrapinstance(self.qtgui_time_sink_x_0_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_1.addWidget(self._qtgui_time_sink_x_0_0_win, 1, 0, 1, 3)
        for r in range(1, 2):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 3):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.qtgui_time_sink_x_0 = qtgui.time_sink_c(
            2**10, #size
            samp_rate/decim, #samp_rate
            "", #name
            3 #number of inputs
        )
        self.qtgui_time_sink_x_0.set_update_time(0.10)
        self.qtgui_time_sink_x_0.set_y_axis(-1.5, 1.5)

        self.qtgui_time_sink_x_0.set_y_label('Amplitude', "")

        self.qtgui_time_sink_x_0.enable_tags(True)
        self.qtgui_time_sink_x_0.set_trigger_mode(qtgui.TRIG_MODE_FREE, qtgui.TRIG_SLOPE_POS, 0.0, 0, 0, "")
        self.qtgui_time_sink_x_0.enable_autoscale(False)
        self.qtgui_time_sink_x_0.enable_grid(False)
        self.qtgui_time_sink_x_0.enable_axis_labels(True)
        self.qtgui_time_sink_x_0.enable_control_panel(False)
        self.qtgui_time_sink_x_0.enable_stem_plot(False)


        labels = ['Signal 1', 'Signal 2', 'Signal 3', 'Signal 4', 'Signal 5',
            'Signal 6', 'Signal 7', 'Signal 8', 'Signal 9', 'Signal 10']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ['blue', 'red', 'green', 'black', 'cyan',
            'magenta', 'yellow', 'dark red', 'dark green', 'dark blue']
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers = [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]


        for i in range(6):
            if len(labels[i]) == 0:
                if (i % 2 == 0):
                    self.qtgui_time_sink_x_0.set_line_label(i, "Re{{Data {0}}}".format(i/2))
                else:
                    self.qtgui_time_sink_x_0.set_line_label(i, "Im{{Data {0}}}".format(i/2))
            else:
                self.qtgui_time_sink_x_0.set_line_label(i, labels[i])
            self.qtgui_time_sink_x_0.set_line_width(i, widths[i])
            self.qtgui_time_sink_x_0.set_line_color(i, colors[i])
            self.qtgui_time_sink_x_0.set_line_style(i, styles[i])
            self.qtgui_time_sink_x_0.set_line_marker(i, markers[i])
            self.qtgui_time_sink_x_0.set_line_alpha(i, alphas[i])

        self._qtgui_time_sink_x_0_win = sip.wrapinstance(self.qtgui_time_sink_x_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_0.addWidget(self._qtgui_time_sink_x_0_win, 5, 0, 1, 3)
        for r in range(5, 6):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 3):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1_0_1 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "",
            3
        )

        self.qtgui_histogram_sink_x_1_0_1.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0_1.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0_1.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0_1.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0_1.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0_1.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0_1.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0_1.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0_1.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0_1.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0_1.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0_1.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_1_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0_1.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_1.addWidget(self._qtgui_histogram_sink_x_1_0_1_win, 4, 0, 1, 3)
        for r in range(4, 5):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 3):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1_0_0 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "",
            3
        )

        self.qtgui_histogram_sink_x_1_0_0.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0_0.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0_0.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0_0.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0_0.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0_0.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0_0.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0_0.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0_0.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0_0.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0_0.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_0_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_1.addWidget(self._qtgui_histogram_sink_x_1_0_0_win, 3, 0, 1, 1)
        for r in range(3, 4):
            self.tabs_grid_layout_1.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_1.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1_0 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "",
            3
        )

        self.qtgui_histogram_sink_x_1_0.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_0.addWidget(self._qtgui_histogram_sink_x_1_0_win, 4, 0, 1, 3)
        for r in range(4, 5):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 3):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.osmosdr_source_0 = osmosdr.source(
            args="numchan=" + str(3) + " " + stack2_args
        )
        self.osmosdr_source_0.set_time_unknown_pps(osmosdr.time_spec_t())
        self.osmosdr_source_0.set_sample_rate(samp_rate)
        self.osmosdr_source_0.set_center_freq(centr_freq, 0)
        self.osmosdr_source_0.set_freq_corr(0, 0)
        self.osmosdr_source_0.set_dc_offset_mode(2, 0)
        self.osmosdr_source_0.set_iq_balance_mode(2, 0)
        self.osmosdr_source_0.set_gain_mode(calibration_apply or calibration_show, 0)
        self.osmosdr_source_0.set_gain(rf_gain, 0)
        self.osmosdr_source_0.set_if_gain(if_gain, 0)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 0)
        self.osmosdr_source_0.set_antenna('', 0)
        self.osmosdr_source_0.set_bandwidth(0, 0)
        self.osmosdr_source_0.set_center_freq(centr_freq, 1)
        self.osmosdr_source_0.set_freq_corr(0, 1)
        self.osmosdr_source_0.set_dc_offset_mode(2, 1)
        self.osmosdr_source_0.set_iq_balance_mode(2, 1)
        self.osmosdr_source_0.set_gain_mode(False, 1)
        self.osmosdr_source_0.set_gain(rf_gain, 1)
        self.osmosdr_source_0.set_if_gain(if_gain, 1)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 1)
        self.osmosdr_source_0.set_antenna('', 1)
        self.osmosdr_source_0.set_bandwidth(0, 1)
        self.osmosdr_source_0.set_center_freq(centr_freq, 2)
        self.osmosdr_source_0.set_freq_corr(0, 2)
        self.osmosdr_source_0.set_dc_offset_mode(2, 2)
        self.osmosdr_source_0.set_iq_balance_mode(2, 2)
        self.osmosdr_source_0.set_gain_mode(False, 2)
        self.osmosdr_source_0.set_gain(rf_gain, 2)
        self.osmosdr_source_0.set_if_gain(if_gain, 2)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 2)
        self.osmosdr_source_0.set_antenna('', 2)
        self.osmosdr_source_0.set_bandwidth(0, 2)
        self.th_FFT_phase_finder_0_1_0_0 = th.FFT_phase_finder(fft_size, calibration_show)
        self.th_FFT_phase_finder_0_1_0 = th.FFT_phase_finder(fft_size, calibration_show)
        self.th_FFT_phase_finder_0_1 = th.FFT_phase_finder(fft_size, calibration_show)
        self.th_FFT_phase_finder_0_0_0 = th.FFT_phase_finder(fft_size, calibration_apply )
        self.th_FFT_phase_finder_0_0 = th.FFT_phase_finder(fft_size, calibration_apply)
        self.th_FFT_phase_finder_0 = th.FFT_phase_finder(fft_size, calibration_apply)
        self.th_DOA_general_0 = th.DOA_general(samp_size, 94/672, 'MEM', 6)
        self.th_Auto_calibrate_phases_0 = th.Auto_calibrate_phases(calibration_apply, centr_freq, 9.352e-12, 132.936e-12, 0, fft_size)
        self.freq_xlating_fir_filter_xxx_0_0_0 = filter.freq_xlating_fir_filter_ccc(decimation, lowpass, 0, samp_rate)
        self.freq_xlating_fir_filter_xxx_0_0 = filter.freq_xlating_fir_filter_ccc(decimation, lowpass, 0, samp_rate)
        self.freq_xlating_fir_filter_xxx_0 = filter.freq_xlating_fir_filter_ccc(decimation, lowpass, 0, samp_rate)
        self.epy_block_0_0_0_0_0_2_0_0 = epy_block_0_0_0_0_0_2_0_0.blk()
        self.epy_block_0_0_0_0_0_2_0 = epy_block_0_0_0_0_0_2_0.blk()
        self.epy_block_0_0_0_0_0_2 = epy_block_0_0_0_0_0_2.blk()
        self.epy_block_0_0_0_0_0_1 = epy_block_0_0_0_0_0_1.blk()
        self.epy_block_0_0_0_0_0_0_1 = epy_block_0_0_0_0_0_0_1.blk()
        self.epy_block_0_0_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0 = epy_block_0_0_0_0_0.blk()
        self.epy_block_0 = epy_block_0.blk(interp=1024)
        self.blocks_sub_xx_0_2_2 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2_1 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2_0_1 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2_0_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_0_0_1 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_0_0_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_0_0 = blocks.sub_ff(1)
        self.blocks_stream_to_vector_0_1 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_1.set_min_output_buffer(4096)
        self.blocks_stream_to_vector_0_0_1 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_0_1.set_min_output_buffer(4096)
        self.blocks_stream_to_vector_0_0_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, samp_size)
        self.blocks_stream_to_vector_0_0_0_0.set_min_output_buffer(4096)
        self.blocks_stream_to_vector_0_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, fft_size)
        self.blocks_stream_to_vector_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, fft_size)
        self.blocks_stream_to_vector_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, fft_size)
        self.blocks_null_sink_1_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_1_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_1 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_complex_to_magphase_0_0_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_0_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_0 = blocks.complex_to_magphase(1)



        ##################################################
        # Connections
        ##################################################
        self.connect((self.blocks_complex_to_magphase_0, 0), (self.blocks_null_sink_1, 0))
        self.connect((self.blocks_complex_to_magphase_0, 1), (self.blocks_sub_xx_0_0_0_1, 0))
        self.connect((self.blocks_complex_to_magphase_0, 1), (self.blocks_sub_xx_0_2_2, 0))
        self.connect((self.blocks_complex_to_magphase_0_0, 0), (self.blocks_null_sink_1_0, 0))
        self.connect((self.blocks_complex_to_magphase_0_0, 1), (self.blocks_sub_xx_0_0_0_1, 1))
        self.connect((self.blocks_complex_to_magphase_0_0, 1), (self.blocks_sub_xx_0_2_0_1, 0))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 0), (self.blocks_null_sink_1_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 1), (self.blocks_sub_xx_0_2_0_1, 1))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 1), (self.blocks_sub_xx_0_2_2, 1))
        self.connect((self.blocks_stream_to_vector_0, 0), (self.th_Auto_calibrate_phases_0, 0))
        self.connect((self.blocks_stream_to_vector_0_0, 0), (self.th_Auto_calibrate_phases_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0_0, 0), (self.th_Auto_calibrate_phases_0, 2))
        self.connect((self.blocks_stream_to_vector_0_0_0_0, 0), (self.th_DOA_general_0, 2))
        self.connect((self.blocks_stream_to_vector_0_0_1, 0), (self.th_DOA_general_0, 1))
        self.connect((self.blocks_stream_to_vector_0_1, 0), (self.th_DOA_general_0, 0))
        self.connect((self.blocks_sub_xx_0_0_0, 0), (self.epy_block_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_0_0_0, 0), (self.epy_block_0_0_0_0_0_1, 0))
        self.connect((self.blocks_sub_xx_0_0_0_1, 0), (self.epy_block_0_0_0_0_0_2, 0))
        self.connect((self.blocks_sub_xx_0_2, 0), (self.epy_block_0_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_2, 0), (self.th_Auto_calibrate_phases_0, 3))
        self.connect((self.blocks_sub_xx_0_2_0, 0), (self.epy_block_0_0_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_2_0, 0), (self.th_Auto_calibrate_phases_0, 4))
        self.connect((self.blocks_sub_xx_0_2_0_0, 0), (self.epy_block_0_0_0_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_2_0_1, 0), (self.epy_block_0_0_0_0_0_2_0_0, 0))
        self.connect((self.blocks_sub_xx_0_2_1, 0), (self.epy_block_0_0_0_0_0_0_1, 0))
        self.connect((self.blocks_sub_xx_0_2_2, 0), (self.epy_block_0_0_0_0_0_2_0, 0))
        self.connect((self.epy_block_0, 0), (self.qtgui_vector_sink_f_0, 0))
        self.connect((self.epy_block_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 0))
        self.connect((self.epy_block_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 1))
        self.connect((self.epy_block_0_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 2))
        self.connect((self.epy_block_0_0_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0_0, 2))
        self.connect((self.epy_block_0_0_0_0_0_0_1, 0), (self.qtgui_histogram_sink_x_1_0_0, 1))
        self.connect((self.epy_block_0_0_0_0_0_1, 0), (self.qtgui_histogram_sink_x_1_0_0, 0))
        self.connect((self.epy_block_0_0_0_0_0_2, 0), (self.qtgui_histogram_sink_x_1_0_1, 0))
        self.connect((self.epy_block_0_0_0_0_0_2_0, 0), (self.qtgui_histogram_sink_x_1_0_1, 1))
        self.connect((self.epy_block_0_0_0_0_0_2_0_0, 0), (self.qtgui_histogram_sink_x_1_0_1, 2))
        self.connect((self.freq_xlating_fir_filter_xxx_0, 0), (self.blocks_complex_to_magphase_0_0_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0, 0), (self.blocks_stream_to_vector_0_0_0_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0, 0), (self.blocks_complex_to_magphase_0_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0, 0), (self.blocks_stream_to_vector_0_0_1, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0_0, 0), (self.blocks_complex_to_magphase_0, 0))
        self.connect((self.freq_xlating_fir_filter_xxx_0_0_0, 0), (self.blocks_stream_to_vector_0_1, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 2), (self.freq_xlating_fir_filter_xxx_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 1), (self.freq_xlating_fir_filter_xxx_0_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 0), (self.freq_xlating_fir_filter_xxx_0_0_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 0), (self.th_FFT_phase_finder_0_1, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 1), (self.th_FFT_phase_finder_0_1_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 2), (self.th_FFT_phase_finder_0_1_0_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 2), (self.qtgui_time_sink_x_0_0, 2))
        self.connect((self.th_Auto_calibrate_phases_0, 0), (self.qtgui_time_sink_x_0_0, 0))
        self.connect((self.th_Auto_calibrate_phases_0, 1), (self.qtgui_time_sink_x_0_0, 1))
        self.connect((self.th_DOA_general_0, 0), (self.epy_block_0, 0))
        self.connect((self.th_FFT_phase_finder_0, 0), (self.blocks_sub_xx_0_0_0, 0))
        self.connect((self.th_FFT_phase_finder_0, 0), (self.blocks_sub_xx_0_2, 0))
        self.connect((self.th_FFT_phase_finder_0_0, 0), (self.blocks_sub_xx_0_0_0, 1))
        self.connect((self.th_FFT_phase_finder_0_0, 0), (self.blocks_sub_xx_0_2_0, 0))
        self.connect((self.th_FFT_phase_finder_0_0_0, 0), (self.blocks_sub_xx_0_2, 1))
        self.connect((self.th_FFT_phase_finder_0_0_0, 0), (self.blocks_sub_xx_0_2_0, 1))
        self.connect((self.th_FFT_phase_finder_0_1, 0), (self.blocks_sub_xx_0_0_0_0, 0))
        self.connect((self.th_FFT_phase_finder_0_1, 0), (self.blocks_sub_xx_0_2_1, 0))
        self.connect((self.th_FFT_phase_finder_0_1_0, 0), (self.blocks_sub_xx_0_0_0_0, 1))
        self.connect((self.th_FFT_phase_finder_0_1_0, 0), (self.blocks_sub_xx_0_2_0_0, 0))
        self.connect((self.th_FFT_phase_finder_0_1_0_0, 0), (self.blocks_sub_xx_0_2_0_0, 1))
        self.connect((self.th_FFT_phase_finder_0_1_0_0, 0), (self.blocks_sub_xx_0_2_1, 1))
        self.connect((self.osmosdr_source_0, 0), (self.blocks_stream_to_vector_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.blocks_stream_to_vector_0_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.blocks_stream_to_vector_0_0_0, 0))
        self.connect((self.osmosdr_source_0, 0), (self.th_FFT_phase_finder_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.th_FFT_phase_finder_0_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.th_FFT_phase_finder_0_0_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.qtgui_time_sink_x_0, 1))
        self.connect((self.osmosdr_source_0, 0), (self.qtgui_time_sink_x_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.qtgui_time_sink_x_0, 2))

    def closeEvent(self, event):
        self.settings = Qt.QSettings("GNU Radio", "auto_calibration_with_noise_source")
        self.settings.setValue("geometry", self.saveGeometry())
        event.accept()

    def get_samp_rate(self):
        return self.samp_rate

    def set_samp_rate(self, samp_rate):
        self.samp_rate = samp_rate
        self.set_lowpass(firdes.low_pass(1,self.samp_rate,10000,50000))
        self.osmosdr_source_0.set_sample_rate(self.samp_rate)
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)
        self.qtgui_time_sink_x_0_0.set_samp_rate(self.samp_rate/self.decim)

    def get_window_size(self):
        return self.window_size

    def set_window_size(self, window_size):
        self.window_size = window_size

    def get_stack2_args_0(self):
        return self.stack2_args_0

    def set_stack2_args_0(self, stack2_args_0):
        self.stack2_args_0 = stack2_args_0

    def get_stack2_args(self):
        return self.stack2_args

    def set_stack2_args(self, stack2_args):
        self.stack2_args = stack2_args

    def get_stack1_args(self):
        return self.stack1_args

    def set_stack1_args(self, stack1_args):
        self.stack1_args = stack1_args

    def get_samp_size(self):
        return self.samp_size

    def set_samp_size(self, samp_size):
        self.samp_size = samp_size

    def get_rf_gain(self):
        return self.rf_gain

    def set_rf_gain(self, rf_gain):
        self.rf_gain = rf_gain
        self.osmosdr_source_0.set_gain(self.rf_gain, 0)
        self.osmosdr_source_0.set_gain(self.rf_gain, 1)
        self.osmosdr_source_0.set_gain(self.rf_gain, 2)

    def get_min_buf(self):
        return self.min_buf

    def set_min_buf(self, min_buf):
        self.min_buf = min_buf

    def get_max_buf(self):
        return self.max_buf

    def set_max_buf(self, max_buf):
        self.max_buf = max_buf

    def get_lowpass(self):
        return self.lowpass

    def set_lowpass(self, lowpass):
        self.lowpass = lowpass
        self.freq_xlating_fir_filter_xxx_0.set_taps(self.lowpass)
        self.freq_xlating_fir_filter_xxx_0_0.set_taps(self.lowpass)
        self.freq_xlating_fir_filter_xxx_0_0_0.set_taps(self.lowpass)

    def get_if_gain(self):
        return self.if_gain

    def set_if_gain(self, if_gain):
        self.if_gain = if_gain
        self.osmosdr_source_0.set_if_gain(self.if_gain, 0)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 1)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 2)

    def get_fft_size(self):
        return self.fft_size

    def set_fft_size(self, fft_size):
        self.fft_size = fft_size

    def get_decimation(self):
        return self.decimation

    def set_decimation(self, decimation):
        self.decimation = decimation

    def get_decim(self):
        return self.decim

    def set_decim(self, decim):
        self.decim = decim
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)
        self.qtgui_time_sink_x_0_0.set_samp_rate(self.samp_rate/self.decim)

    def get_centr_freq(self):
        return self.centr_freq

    def set_centr_freq(self, centr_freq):
        self.centr_freq = centr_freq
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 0)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 1)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 2)

    def get_calibration_show(self):
        return self.calibration_show

    def set_calibration_show(self, calibration_show):
        self.calibration_show = calibration_show
        self._calibration_show_callback(self.calibration_show)
        self.th_FFT_phase_finder_0_1.set_calibration_mode(self.calibration_show)
        self.th_FFT_phase_finder_0_1_0.set_calibration_mode(self.calibration_show)
        self.th_FFT_phase_finder_0_1_0_0.set_calibration_mode(self.calibration_show)
        self.osmosdr_source_0.set_gain_mode(self.calibration_apply or self.calibration_show, 0)

    def get_calibration_apply(self):
        return self.calibration_apply

    def set_calibration_apply(self, calibration_apply):
        self.calibration_apply = calibration_apply
        self._calibration_apply_callback(self.calibration_apply)
        self.th_Auto_calibrate_phases_0.set_calibration_mode(self.calibration_apply)
        self.th_FFT_phase_finder_0.set_calibration_mode(self.calibration_apply)
        self.th_FFT_phase_finder_0_0.set_calibration_mode(self.calibration_apply)
        self.th_FFT_phase_finder_0_0_0.set_calibration_mode(self.calibration_apply )
        self.osmosdr_source_0.set_gain_mode(self.calibration_apply or self.calibration_show, 0)

    def get_bb_gain(self):
        return self.bb_gain

    def set_bb_gain(self, bb_gain):
        self.bb_gain = bb_gain
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 0)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 1)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 2)



def main(top_block_cls=auto_calibration_with_noise_source, options=None):

    if StrictVersion("4.5.0") <= StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
        style = gr.prefs().get_string('qtgui', 'style', 'raster')
        Qt.QApplication.setGraphicsSystem(style)
    qapp = Qt.QApplication(sys.argv)

    tb = top_block_cls()
    tb.start()
    tb.show()

    def sig_handler(sig=None, frame=None):
        Qt.QApplication.quit()

    signal.signal(signal.SIGINT, sig_handler)
    signal.signal(signal.SIGTERM, sig_handler)

    timer = Qt.QTimer()
    timer.start(500)
    timer.timeout.connect(lambda: None)

    def quitting():
        tb.stop()
        tb.wait()
    qapp.aboutToQuit.connect(quitting)
    qapp.exec_()


if __name__ == '__main__':
    main()
