#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# SPDX-License-Identifier: GPL-3.0
#
# GNU Radio Python Flow Graph
# Title: Cross correlation example with hackrfs
# Author: erik
# GNU Radio version: 3.8.1.0

from distutils.version import StrictVersion

if __name__ == '__main__':
    import ctypes
    import sys
    if sys.platform.startswith('linux'):
        try:
            x11 = ctypes.cdll.LoadLibrary('libX11.so')
            x11.XInitThreads()
        except:
            print("Warning: failed to XInitThreads()")

from PyQt5 import Qt
from gnuradio import qtgui
from gnuradio.filter import firdes
import sip
from gnuradio import blocks
from gnuradio import filter
from gnuradio import gr
import sys
import signal
from argparse import ArgumentParser
from gnuradio.eng_arg import eng_float, intx
from gnuradio import eng_notation
from gnuradio.qtgui import Range, RangeWidget
import th
import np  # embedded python module
import osmosdr
import time
from gnuradio import qtgui

class cross_correlate_test_real_signal(gr.top_block, Qt.QWidget):

    def __init__(self):
        gr.top_block.__init__(self, "Cross correlation example with hackrfs")
        Qt.QWidget.__init__(self)
        self.setWindowTitle("Cross correlation example with hackrfs")
        qtgui.util.check_set_qss()
        try:
            self.setWindowIcon(Qt.QIcon.fromTheme('gnuradio-grc'))
        except:
            pass
        self.top_scroll_layout = Qt.QVBoxLayout()
        self.setLayout(self.top_scroll_layout)
        self.top_scroll = Qt.QScrollArea()
        self.top_scroll.setFrameStyle(Qt.QFrame.NoFrame)
        self.top_scroll_layout.addWidget(self.top_scroll)
        self.top_scroll.setWidgetResizable(True)
        self.top_widget = Qt.QWidget()
        self.top_scroll.setWidget(self.top_widget)
        self.top_layout = Qt.QVBoxLayout(self.top_widget)
        self.top_grid_layout = Qt.QGridLayout()
        self.top_layout.addLayout(self.top_grid_layout)

        self.settings = Qt.QSettings("GNU Radio", "cross_correlate_test_real_signal")

        try:
            if StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
                self.restoreGeometry(self.settings.value("geometry").toByteArray())
            else:
                self.restoreGeometry(self.settings.value("geometry"))
        except:
            pass

        ##################################################
        # Variables
        ##################################################
        self.window_size = window_size = 256
        self.stack2_args_0 = stack2_args_0 = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=0 hackrf=000000000000000087c867dc2995a05f,hw_sync=0 hackrf=000000000000000087c867dc2977a15f,hw_sync=0"
        self.stack2_args = stack2_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.stack1_args = stack1_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.signal_amp = signal_amp = 100e-3
        self.samp_rate = samp_rate = 2e6
        self.rf_gain = rf_gain = 0
        self.phase_offset_0 = phase_offset_0 = 0
        self.noise_lvl = noise_lvl = 25e-3
        self.if_gain = if_gain = 0
        self.decim = decim = 10
        self.centr_freq = centr_freq = 40e6
        self.bb_gain = bb_gain = 0

        ##################################################
        # Blocks
        ##################################################
        self._phase_offset_0_range = Range(-np.pi, np.pi, np.pi/90, 0, 180)
        self._phase_offset_0_win = RangeWidget(self._phase_offset_0_range, self.set_phase_offset_0, 'phase_offset_0', "counter_slider", float)
        self.top_grid_layout.addWidget(self._phase_offset_0_win)
        self.rational_resampler_xxx_0_0 = filter.rational_resampler_ccc(
                interpolation=1,
                decimation=decim,
                taps=None,
                fractional_bw=None)
        self.rational_resampler_xxx_0 = filter.rational_resampler_ccc(
                interpolation=1,
                decimation=decim,
                taps=None,
                fractional_bw=None)
        self.qtgui_vector_sink_f_0 = qtgui.vector_sink_f(
            window_size*2-1,
            0,
            1.0,
            "x-Axis",
            "y-Axis",
            "",
            1 # Number of inputs
        )
        self.qtgui_vector_sink_f_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0.set_y_axis(-1, 1)
        self.qtgui_vector_sink_f_0.enable_autoscale(True)
        self.qtgui_vector_sink_f_0.enable_grid(False)
        self.qtgui_vector_sink_f_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0.set_ref_level(0)

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(1):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0.pyqwidget(), Qt.QWidget)
        self.top_grid_layout.addWidget(self._qtgui_vector_sink_f_0_win)
        self.qtgui_time_sink_x_0 = qtgui.time_sink_c(
            2**10, #size
            samp_rate/decim, #samp_rate
            "", #name
            2 #number of inputs
        )
        self.qtgui_time_sink_x_0.set_update_time(0.10)
        self.qtgui_time_sink_x_0.set_y_axis(-1.5, 1.5)

        self.qtgui_time_sink_x_0.set_y_label('Amplitude', "")

        self.qtgui_time_sink_x_0.enable_tags(True)
        self.qtgui_time_sink_x_0.set_trigger_mode(qtgui.TRIG_MODE_FREE, qtgui.TRIG_SLOPE_POS, 0.0, 0, 0, "")
        self.qtgui_time_sink_x_0.enable_autoscale(False)
        self.qtgui_time_sink_x_0.enable_grid(False)
        self.qtgui_time_sink_x_0.enable_axis_labels(True)
        self.qtgui_time_sink_x_0.enable_control_panel(False)
        self.qtgui_time_sink_x_0.enable_stem_plot(False)


        labels = ['Signal 1', 'Signal 2', 'Signal 3', 'Signal 4', 'Signal 5',
            'Signal 6', 'Signal 7', 'Signal 8', 'Signal 9', 'Signal 10']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ['blue', 'red', 'green', 'black', 'cyan',
            'magenta', 'yellow', 'dark red', 'dark green', 'dark blue']
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers = [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]


        for i in range(4):
            if len(labels[i]) == 0:
                if (i % 2 == 0):
                    self.qtgui_time_sink_x_0.set_line_label(i, "Re{{Data {0}}}".format(i/2))
                else:
                    self.qtgui_time_sink_x_0.set_line_label(i, "Im{{Data {0}}}".format(i/2))
            else:
                self.qtgui_time_sink_x_0.set_line_label(i, labels[i])
            self.qtgui_time_sink_x_0.set_line_width(i, widths[i])
            self.qtgui_time_sink_x_0.set_line_color(i, colors[i])
            self.qtgui_time_sink_x_0.set_line_style(i, styles[i])
            self.qtgui_time_sink_x_0.set_line_marker(i, markers[i])
            self.qtgui_time_sink_x_0.set_line_alpha(i, alphas[i])

        self._qtgui_time_sink_x_0_win = sip.wrapinstance(self.qtgui_time_sink_x_0.pyqwidget(), Qt.QWidget)
        self.top_grid_layout.addWidget(self._qtgui_time_sink_x_0_win)
        self.qtgui_number_sink_0 = qtgui.number_sink(
            gr.sizeof_float,
            0,
            qtgui.NUM_GRAPH_HORIZ,
            1
        )
        self.qtgui_number_sink_0.set_update_time(0.10)
        self.qtgui_number_sink_0.set_title("")

        labels = ['', '', '', '', '',
            '', '', '', '', '']
        units = ['', '', '', '', '',
            '', '', '', '', '']
        colors = [("black", "black"), ("black", "black"), ("black", "black"), ("black", "black"), ("black", "black"),
            ("black", "black"), ("black", "black"), ("black", "black"), ("black", "black"), ("black", "black")]
        factor = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]

        for i in range(1):
            self.qtgui_number_sink_0.set_min(i, -1)
            self.qtgui_number_sink_0.set_max(i, 1)
            self.qtgui_number_sink_0.set_color(i, colors[i][0], colors[i][1])
            if len(labels[i]) == 0:
                self.qtgui_number_sink_0.set_label(i, "Data {0}".format(i))
            else:
                self.qtgui_number_sink_0.set_label(i, labels[i])
            self.qtgui_number_sink_0.set_unit(i, units[i])
            self.qtgui_number_sink_0.set_factor(i, factor[i])

        self.qtgui_number_sink_0.enable_autoscale(False)
        self._qtgui_number_sink_0_win = sip.wrapinstance(self.qtgui_number_sink_0.pyqwidget(), Qt.QWidget)
        self.top_grid_layout.addWidget(self._qtgui_number_sink_0_win)
        self.osmosdr_source_0 = osmosdr.source(
            args="numchan=" + str(3) + " " + stack2_args_0
        )
        self.osmosdr_source_0.set_time_unknown_pps(osmosdr.time_spec_t())
        self.osmosdr_source_0.set_sample_rate(samp_rate)
        self.osmosdr_source_0.set_center_freq(centr_freq, 0)
        self.osmosdr_source_0.set_freq_corr(0, 0)
        self.osmosdr_source_0.set_dc_offset_mode(2, 0)
        self.osmosdr_source_0.set_iq_balance_mode(2, 0)
        self.osmosdr_source_0.set_gain_mode(False, 0)
        self.osmosdr_source_0.set_gain(rf_gain, 0)
        self.osmosdr_source_0.set_if_gain(if_gain, 0)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 0)
        self.osmosdr_source_0.set_antenna('', 0)
        self.osmosdr_source_0.set_bandwidth(0, 0)
        self.osmosdr_source_0.set_center_freq(centr_freq, 1)
        self.osmosdr_source_0.set_freq_corr(0, 1)
        self.osmosdr_source_0.set_dc_offset_mode(2, 1)
        self.osmosdr_source_0.set_iq_balance_mode(2, 1)
        self.osmosdr_source_0.set_gain_mode(False, 1)
        self.osmosdr_source_0.set_gain(rf_gain, 1)
        self.osmosdr_source_0.set_if_gain(if_gain, 1)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 1)
        self.osmosdr_source_0.set_antenna('', 1)
        self.osmosdr_source_0.set_bandwidth(0, 1)
        self.osmosdr_source_0.set_center_freq(centr_freq, 2)
        self.osmosdr_source_0.set_freq_corr(0, 2)
        self.osmosdr_source_0.set_dc_offset_mode(2, 2)
        self.osmosdr_source_0.set_iq_balance_mode(2, 2)
        self.osmosdr_source_0.set_gain_mode(False, 2)
        self.osmosdr_source_0.set_gain(rf_gain, 2)
        self.osmosdr_source_0.set_if_gain(if_gain, 2)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 2)
        self.osmosdr_source_0.set_antenna('', 2)
        self.osmosdr_source_0.set_bandwidth(0, 2)
        self.th_x_corr_0 = th.cross_correlate(window_size)
        self.th_phase_corr_0 = th.phase_correction(1.0, phase_offset_0)
        self.blocks_stream_to_vector_0_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, window_size)
        self.blocks_stream_to_vector_0 = blocks.stream_to_vector(gr.sizeof_gr_complex*1, window_size)
        self.blocks_null_sink_0_0 = blocks.null_sink(gr.sizeof_gr_complex*window_size)
        self.blocks_null_sink_0 = blocks.null_sink(gr.sizeof_gr_complex*1)



        ##################################################
        # Connections
        ##################################################
        self.connect((self.blocks_stream_to_vector_0, 0), (self.blocks_null_sink_0_0, 0))
        self.connect((self.blocks_stream_to_vector_0, 0), (self.th_x_corr_0, 0))
        self.connect((self.blocks_stream_to_vector_0_0, 0), (self.blocks_null_sink_0_0, 1))
        self.connect((self.blocks_stream_to_vector_0_0, 0), (self.th_x_corr_0, 1))
        self.connect((self.th_phase_corr_0, 0), (self.blocks_stream_to_vector_0_0, 0))
        self.connect((self.th_x_corr_0, 1), (self.qtgui_number_sink_0, 0))
        self.connect((self.th_x_corr_0, 0), (self.qtgui_vector_sink_f_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.blocks_null_sink_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.qtgui_time_sink_x_0, 1))
        self.connect((self.osmosdr_source_0, 0), (self.qtgui_time_sink_x_0, 0))
        self.connect((self.osmosdr_source_0, 0), (self.rational_resampler_xxx_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.rational_resampler_xxx_0_0, 0))
        self.connect((self.rational_resampler_xxx_0, 0), (self.blocks_stream_to_vector_0, 0))
        self.connect((self.rational_resampler_xxx_0_0, 0), (self.th_phase_corr_0, 0))

    def closeEvent(self, event):
        self.settings = Qt.QSettings("GNU Radio", "cross_correlate_test_real_signal")
        self.settings.setValue("geometry", self.saveGeometry())
        event.accept()

    def get_window_size(self):
        return self.window_size

    def set_window_size(self, window_size):
        self.window_size = window_size

    def get_stack2_args_0(self):
        return self.stack2_args_0

    def set_stack2_args_0(self, stack2_args_0):
        self.stack2_args_0 = stack2_args_0

    def get_stack2_args(self):
        return self.stack2_args

    def set_stack2_args(self, stack2_args):
        self.stack2_args = stack2_args

    def get_stack1_args(self):
        return self.stack1_args

    def set_stack1_args(self, stack1_args):
        self.stack1_args = stack1_args

    def get_signal_amp(self):
        return self.signal_amp

    def set_signal_amp(self, signal_amp):
        self.signal_amp = signal_amp

    def get_samp_rate(self):
        return self.samp_rate

    def set_samp_rate(self, samp_rate):
        self.samp_rate = samp_rate
        self.osmosdr_source_0.set_sample_rate(self.samp_rate)
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)

    def get_rf_gain(self):
        return self.rf_gain

    def set_rf_gain(self, rf_gain):
        self.rf_gain = rf_gain
        self.osmosdr_source_0.set_gain(self.rf_gain, 0)
        self.osmosdr_source_0.set_gain(self.rf_gain, 1)
        self.osmosdr_source_0.set_gain(self.rf_gain, 2)

    def get_phase_offset_0(self):
        return self.phase_offset_0

    def set_phase_offset_0(self, phase_offset_0):
        self.phase_offset_0 = phase_offset_0
        self.th_phase_corr_0.set_phase(self.phase_offset_0)

    def get_noise_lvl(self):
        return self.noise_lvl

    def set_noise_lvl(self, noise_lvl):
        self.noise_lvl = noise_lvl

    def get_if_gain(self):
        return self.if_gain

    def set_if_gain(self, if_gain):
        self.if_gain = if_gain
        self.osmosdr_source_0.set_if_gain(self.if_gain, 0)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 1)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 2)

    def get_decim(self):
        return self.decim

    def set_decim(self, decim):
        self.decim = decim
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)

    def get_centr_freq(self):
        return self.centr_freq

    def set_centr_freq(self, centr_freq):
        self.centr_freq = centr_freq
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 0)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 1)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 2)

    def get_bb_gain(self):
        return self.bb_gain

    def set_bb_gain(self, bb_gain):
        self.bb_gain = bb_gain
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 0)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 1)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 2)



def main(top_block_cls=cross_correlate_test_real_signal, options=None):

    if StrictVersion("4.5.0") <= StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
        style = gr.prefs().get_string('qtgui', 'style', 'raster')
        Qt.QApplication.setGraphicsSystem(style)
    qapp = Qt.QApplication(sys.argv)

    tb = top_block_cls()
    tb.start()
    tb.show()

    def sig_handler(sig=None, frame=None):
        Qt.QApplication.quit()

    signal.signal(signal.SIGINT, sig_handler)
    signal.signal(signal.SIGTERM, sig_handler)

    timer = Qt.QTimer()
    timer.start(500)
    timer.timeout.connect(lambda: None)

    def quitting():
        tb.stop()
        tb.wait()
    qapp.aboutToQuit.connect(quitting)
    qapp.exec_()


if __name__ == '__main__':
    main()
