"""
Embedded Python Blocks:

Each time this file is saved, GRC will instantiate the first class it finds
to get ports and parameters of your block. The arguments to __init__  will
be the parameters. All of them are required to have default values!
"""

import numpy as np
from gnuradio import gr


class blk(gr.sync_block):  # other base classes are basic_block, decim_block, interp_block
    """Embedded Python Block example - a simple multiply const"""

    def __init__(self):  # only default arguments here
        """arguments to this function show up as parameters in GRC"""
        gr.sync_block.__init__(
            self,
            name='Normalize',   # will show up in GRC
            in_sig=[(np.float32, 360)],
            out_sig=[(np.float32, 360)]
        )


    def work(self, input_items, output_items):
        """example: multiply with constant"""
        for i,elem in enumerate(input_items[0]):
            min_val = np.min(elem)
            max_val = np.max(elem)
            diff = max_val - min_val
            if diff == 0:
                diff = 1
            output_items[0][i] = (elem - min_val) / (max_val - min_val)
        return len(output_items[0])
