"""
Embedded Python Blocks:

Each time this file is saved, GRC will instantiate the first class it finds
to get ports and parameters of your block. The arguments to __init__  will
be the parameters. All of them are required to have default values!
"""

import numpy as np
from gnuradio import gr

#double wrapMax(double x, double max)
#{
#    / integer math: `(max + x % max) % max` /
#    return fmod(max + fmod(x, max), max);
#}
#/ wrap x -> [min,max) /
#double wrapMinMax(double x, double min, double max)
#{
#    return min + wrapMax(x - min, max - min);
#}

class blk(gr.sync_block):  # other base classes are basic_block, decim_block, interp_block
    """Embedded Python Block example - a simple multiply const"""

    def __init__(self):  # only default arguments here
        """arguments to this function show up as parameters in GRC"""
        gr.sync_block.__init__(
            self,
            name='Wrap (-pi to pi)',   # will show up in GRC
            in_sig=[np.float32],
            out_sig=[np.float32]
        )

    def work(self, input_items, output_items):
        wrap_0to2pi = input_items[0] % (2*np.pi)
        output_items[0][:] = np.where(wrap_0to2pi <= np.pi, wrap_0to2pi, wrap_0to2pi - 2*np.pi)
        return len(output_items[0])


