#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# SPDX-License-Identifier: GPL-3.0
#
# GNU Radio Python Flow Graph
# Title: manual_calibration_with_noise_source
# Author: erik
# GNU Radio version: 3.8.1.0

from distutils.version import StrictVersion

if __name__ == '__main__':
    import ctypes
    import sys
    if sys.platform.startswith('linux'):
        try:
            x11 = ctypes.cdll.LoadLibrary('libX11.so')
            x11.XInitThreads()
        except:
            print("Warning: failed to XInitThreads()")

from PyQt5 import Qt
from gnuradio import qtgui
from gnuradio.filter import firdes
import sip
from gnuradio import blocks
from gnuradio import filter
from gnuradio import gr
import sys
import signal
from argparse import ArgumentParser
from gnuradio.eng_arg import eng_float, intx
from gnuradio import eng_notation
from gnuradio.qtgui import Range, RangeWidget
import epy_block_0
import epy_block_0_0
import epy_block_0_0_0
import epy_block_0_0_0_0
import epy_block_0_0_0_0_0
import epy_block_0_0_0_0_0_0
import epy_block_0_0_0_0_0_0_0
import epy_block_0_0_0_0_1
import epy_block_0_0_1
import th
import np  # embedded python module
import osmosdr
import time
from gnuradio import qtgui

class manual_calibration_with_noise_source(gr.top_block, Qt.QWidget):

    def __init__(self):
        gr.top_block.__init__(self, "manual_calibration_with_noise_source")
        Qt.QWidget.__init__(self)
        self.setWindowTitle("manual_calibration_with_noise_source")
        qtgui.util.check_set_qss()
        try:
            self.setWindowIcon(Qt.QIcon.fromTheme('gnuradio-grc'))
        except:
            pass
        self.top_scroll_layout = Qt.QVBoxLayout()
        self.setLayout(self.top_scroll_layout)
        self.top_scroll = Qt.QScrollArea()
        self.top_scroll.setFrameStyle(Qt.QFrame.NoFrame)
        self.top_scroll_layout.addWidget(self.top_scroll)
        self.top_scroll.setWidgetResizable(True)
        self.top_widget = Qt.QWidget()
        self.top_scroll.setWidget(self.top_widget)
        self.top_layout = Qt.QVBoxLayout(self.top_widget)
        self.top_grid_layout = Qt.QGridLayout()
        self.top_layout.addLayout(self.top_grid_layout)

        self.settings = Qt.QSettings("GNU Radio", "manual_calibration_with_noise_source")

        try:
            if StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
                self.restoreGeometry(self.settings.value("geometry").toByteArray())
            else:
                self.restoreGeometry(self.settings.value("geometry"))
        except:
            pass

        ##################################################
        # Variables
        ##################################################
        self.samp_rate = samp_rate = 2e6
        self.window_size = window_size = 256
        self.stack2_args_0 = stack2_args_0 = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=0 hackrf=000000000000000087c867dc2995a05f,hw_sync=0 hackrf=000000000000000087c867dc2977a15f,hw_sync=0"
        self.stack2_args = stack2_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.stack1_args = stack1_args = "hackrf=000000000000000087c867dc2a239c5f,hw_sync=1 hackrf=000000000000000087c867dc2995a05f,hw_sync=1 hackrf=000000000000000087c867dc2977a15f,hw_sync=2"
        self.sl2_ph_fix = sl2_ph_fix = 0
        self.sl1_ph_fix = sl1_ph_fix = 0
        self.rf_gain = rf_gain = 0
        self.lowpass = lowpass = firdes.low_pass(1,samp_rate,10000,50000)
        self.if_gain = if_gain = 0
        self.decim = decim = 200
        self.centr_freq = centr_freq = 40e6
        self.calibration_mode = calibration_mode = False
        self.bb_gain = bb_gain = 0

        ##################################################
        # Blocks
        ##################################################
        self.tabs = Qt.QTabWidget()
        self.tabs_widget_0 = Qt.QWidget()
        self.tabs_layout_0 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_0)
        self.tabs_grid_layout_0 = Qt.QGridLayout()
        self.tabs_layout_0.addLayout(self.tabs_grid_layout_0)
        self.tabs.addTab(self.tabs_widget_0, 'Calibration')
        self.tabs_widget_1 = Qt.QWidget()
        self.tabs_layout_1 = Qt.QBoxLayout(Qt.QBoxLayout.TopToBottom, self.tabs_widget_1)
        self.tabs_grid_layout_1 = Qt.QGridLayout()
        self.tabs_layout_1.addLayout(self.tabs_grid_layout_1)
        self.tabs.addTab(self.tabs_widget_1, 'Angle finding')
        self.top_grid_layout.addWidget(self.tabs)
        self._sl2_ph_fix_range = Range(0, 6.28, 0.01, 0, 200)
        self._sl2_ph_fix_win = RangeWidget(self._sl2_ph_fix_range, self.set_sl2_ph_fix, 'sl2_phase_shift', "counter_slider", float)
        self.tabs_grid_layout_0.addWidget(self._sl2_ph_fix_win, 2, 0, 1, 1)
        for r in range(2, 3):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self._sl1_ph_fix_range = Range(0, 6.28, 0.01, 0, 200)
        self._sl1_ph_fix_win = RangeWidget(self._sl1_ph_fix_range, self.set_sl1_ph_fix, 'sl1_phase_shift', "counter_slider", float)
        self.tabs_grid_layout_0.addWidget(self._sl1_ph_fix_win, 1, 0, 1, 1)
        for r in range(1, 2):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        _calibration_mode_check_box = Qt.QCheckBox('calibration_mode')
        self._calibration_mode_choices = {True: True, False: False}
        self._calibration_mode_choices_inv = dict((v,k) for k,v in self._calibration_mode_choices.items())
        self._calibration_mode_callback = lambda i: Qt.QMetaObject.invokeMethod(_calibration_mode_check_box, "setChecked", Qt.Q_ARG("bool", self._calibration_mode_choices_inv[i]))
        self._calibration_mode_callback(self.calibration_mode)
        _calibration_mode_check_box.stateChanged.connect(lambda i: self.set_calibration_mode(self._calibration_mode_choices[bool(i)]))
        self.tabs_grid_layout_0.addWidget(_calibration_mode_check_box, 0, 0, 1, 1)
        for r in range(0, 1):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.qtgui_time_sink_x_0 = qtgui.time_sink_c(
            2**10, #size
            samp_rate/decim, #samp_rate
            "", #name
            3 #number of inputs
        )
        self.qtgui_time_sink_x_0.set_update_time(0.10)
        self.qtgui_time_sink_x_0.set_y_axis(-1.5, 1.5)

        self.qtgui_time_sink_x_0.set_y_label('Amplitude', "")

        self.qtgui_time_sink_x_0.enable_tags(True)
        self.qtgui_time_sink_x_0.set_trigger_mode(qtgui.TRIG_MODE_FREE, qtgui.TRIG_SLOPE_POS, 0.0, 0, 0, "")
        self.qtgui_time_sink_x_0.enable_autoscale(False)
        self.qtgui_time_sink_x_0.enable_grid(False)
        self.qtgui_time_sink_x_0.enable_axis_labels(True)
        self.qtgui_time_sink_x_0.enable_control_panel(False)
        self.qtgui_time_sink_x_0.enable_stem_plot(False)


        labels = ['Signal 1', 'Signal 2', 'Signal 3', 'Signal 4', 'Signal 5',
            'Signal 6', 'Signal 7', 'Signal 8', 'Signal 9', 'Signal 10']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ['blue', 'red', 'green', 'black', 'cyan',
            'magenta', 'yellow', 'dark red', 'dark green', 'dark blue']
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers = [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]


        for i in range(6):
            if len(labels[i]) == 0:
                if (i % 2 == 0):
                    self.qtgui_time_sink_x_0.set_line_label(i, "Re{{Data {0}}}".format(i/2))
                else:
                    self.qtgui_time_sink_x_0.set_line_label(i, "Im{{Data {0}}}".format(i/2))
            else:
                self.qtgui_time_sink_x_0.set_line_label(i, labels[i])
            self.qtgui_time_sink_x_0.set_line_width(i, widths[i])
            self.qtgui_time_sink_x_0.set_line_color(i, colors[i])
            self.qtgui_time_sink_x_0.set_line_style(i, styles[i])
            self.qtgui_time_sink_x_0.set_line_marker(i, markers[i])
            self.qtgui_time_sink_x_0.set_line_alpha(i, alphas[i])

        self._qtgui_time_sink_x_0_win = sip.wrapinstance(self.qtgui_time_sink_x_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_0.addWidget(self._qtgui_time_sink_x_0_win, 5, 0, 1, 1)
        for r in range(5, 6):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1_0 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "",
            3
        )

        self.qtgui_histogram_sink_x_1_0.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_0.addWidget(self._qtgui_histogram_sink_x_1_0_win, 4, 0, 1, 1)
        for r in range(4, 5):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.qtgui_histogram_sink_x_1 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "",
            3
        )

        self.qtgui_histogram_sink_x_1.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1.enable_grid(False)
        self.qtgui_histogram_sink_x_1.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1.pyqwidget(), Qt.QWidget)
        self.tabs_grid_layout_0.addWidget(self._qtgui_histogram_sink_x_1_win, 3, 0, 1, 1)
        for r in range(3, 4):
            self.tabs_grid_layout_0.setRowStretch(r, 1)
        for c in range(0, 1):
            self.tabs_grid_layout_0.setColumnStretch(c, 1)
        self.osmosdr_source_0 = osmosdr.source(
            args="numchan=" + str(3) + " " + stack2_args
        )
        self.osmosdr_source_0.set_time_unknown_pps(osmosdr.time_spec_t())
        self.osmosdr_source_0.set_sample_rate(samp_rate)
        self.osmosdr_source_0.set_center_freq(centr_freq, 0)
        self.osmosdr_source_0.set_freq_corr(0, 0)
        self.osmosdr_source_0.set_dc_offset_mode(2, 0)
        self.osmosdr_source_0.set_iq_balance_mode(2, 0)
        self.osmosdr_source_0.set_gain_mode(calibration_mode, 0)
        self.osmosdr_source_0.set_gain(rf_gain, 0)
        self.osmosdr_source_0.set_if_gain(if_gain, 0)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 0)
        self.osmosdr_source_0.set_antenna('', 0)
        self.osmosdr_source_0.set_bandwidth(0, 0)
        self.osmosdr_source_0.set_center_freq(centr_freq, 1)
        self.osmosdr_source_0.set_freq_corr(0, 1)
        self.osmosdr_source_0.set_dc_offset_mode(2, 1)
        self.osmosdr_source_0.set_iq_balance_mode(2, 1)
        self.osmosdr_source_0.set_gain_mode(False, 1)
        self.osmosdr_source_0.set_gain(rf_gain, 1)
        self.osmosdr_source_0.set_if_gain(if_gain, 1)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 1)
        self.osmosdr_source_0.set_antenna('', 1)
        self.osmosdr_source_0.set_bandwidth(0, 1)
        self.osmosdr_source_0.set_center_freq(centr_freq, 2)
        self.osmosdr_source_0.set_freq_corr(0, 2)
        self.osmosdr_source_0.set_dc_offset_mode(2, 2)
        self.osmosdr_source_0.set_iq_balance_mode(2, 2)
        self.osmosdr_source_0.set_gain_mode(False, 2)
        self.osmosdr_source_0.set_gain(rf_gain, 2)
        self.osmosdr_source_0.set_if_gain(if_gain, 2)
        self.osmosdr_source_0.set_bb_gain(bb_gain, 2)
        self.osmosdr_source_0.set_antenna('', 2)
        self.osmosdr_source_0.set_bandwidth(0, 2)
        self.th_phase_corr_0_0 = th.phase_correction(1.0, sl2_ph_fix)
        self.th_phase_corr_0 = th.phase_correction(1.0, sl1_ph_fix)
        self.epy_block_0_0_1 = epy_block_0_0_1.blk()
        self.epy_block_0_0_0_0_1 = epy_block_0_0_0_0_1.blk()
        self.epy_block_0_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0 = epy_block_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0 = epy_block_0_0_0_0.blk()
        self.epy_block_0_0_0 = epy_block_0_0_0.blk()
        self.epy_block_0_0 = epy_block_0_0.blk()
        self.epy_block_0 = epy_block_0.blk()
        self.blocks_sub_xx_0_2_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_2 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_1 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_0_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0_0 = blocks.sub_ff(1)
        self.blocks_sub_xx_0 = blocks.sub_ff(1)
        self.blocks_null_sink_0_0_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_null_sink_0_0 = blocks.null_sink(gr.sizeof_float*1)
        self.blocks_complex_to_magphase_0_0_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_0_0 = blocks.complex_to_magphase(1)
        self.blocks_complex_to_magphase_0 = blocks.complex_to_magphase(1)
        self.band_pass_filter_0_0_0 = filter.fir_filter_ccf(
            1,
            firdes.band_pass(
                1,
                samp_rate,
                2e3,
                5e3,
                1e2,
                firdes.WIN_HAMMING,
                6.76))
        self.band_pass_filter_0_0 = filter.fir_filter_ccf(
            1,
            firdes.band_pass(
                1,
                samp_rate,
                2e3,
                5e3,
                1e2,
                firdes.WIN_HAMMING,
                6.76))
        self.band_pass_filter_0 = filter.fir_filter_ccf(
            1,
            firdes.band_pass(
                1,
                samp_rate,
                2e3,
                5e3,
                1e2,
                firdes.WIN_HAMMING,
                6.76))



        ##################################################
        # Connections
        ##################################################
        self.connect((self.band_pass_filter_0, 0), (self.blocks_complex_to_magphase_0, 0))
        self.connect((self.band_pass_filter_0_0, 0), (self.blocks_complex_to_magphase_0_0, 0))
        self.connect((self.band_pass_filter_0_0_0, 0), (self.blocks_complex_to_magphase_0_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0, 0), (self.blocks_null_sink_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0, 1), (self.blocks_sub_xx_0, 0))
        self.connect((self.blocks_complex_to_magphase_0, 1), (self.blocks_sub_xx_0_1, 0))
        self.connect((self.blocks_complex_to_magphase_0_0, 0), (self.blocks_null_sink_0_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0_0, 1), (self.blocks_sub_xx_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0_0, 1), (self.blocks_sub_xx_0_1, 1))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 0), (self.blocks_null_sink_0_0_0_0, 0))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 1), (self.blocks_sub_xx_0, 1))
        self.connect((self.blocks_complex_to_magphase_0_0_0, 1), (self.blocks_sub_xx_0_0, 1))
        self.connect((self.blocks_sub_xx_0, 0), (self.epy_block_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_0, 0), (self.epy_block_0_0_0_0_1, 0))
        self.connect((self.blocks_sub_xx_0_0_0, 0), (self.epy_block_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_1, 0), (self.epy_block_0_0_1, 0))
        self.connect((self.blocks_sub_xx_0_2, 0), (self.epy_block_0_0_0_0_0_0, 0))
        self.connect((self.blocks_sub_xx_0_2_0, 0), (self.epy_block_0_0_0_0_0_0_0, 0))
        self.connect((self.epy_block_0, 0), (self.blocks_sub_xx_0_0_0, 0))
        self.connect((self.epy_block_0, 0), (self.blocks_sub_xx_0_2, 0))
        self.connect((self.epy_block_0_0, 0), (self.blocks_sub_xx_0_0_0, 1))
        self.connect((self.epy_block_0_0, 0), (self.blocks_sub_xx_0_2_0, 0))
        self.connect((self.epy_block_0_0_0, 0), (self.blocks_sub_xx_0_2, 1))
        self.connect((self.epy_block_0_0_0, 0), (self.blocks_sub_xx_0_2_0, 1))
        self.connect((self.epy_block_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1, 1))
        self.connect((self.epy_block_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 0))
        self.connect((self.epy_block_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 1))
        self.connect((self.epy_block_0_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 2))
        self.connect((self.epy_block_0_0_0_0_1, 0), (self.qtgui_histogram_sink_x_1, 2))
        self.connect((self.epy_block_0_0_1, 0), (self.qtgui_histogram_sink_x_1, 0))
        self.connect((self.th_phase_corr_0, 0), (self.band_pass_filter_0, 0))
        self.connect((self.th_phase_corr_0, 0), (self.epy_block_0, 0))
        self.connect((self.th_phase_corr_0, 0), (self.qtgui_time_sink_x_0, 0))
        self.connect((self.th_phase_corr_0_0, 0), (self.band_pass_filter_0_0, 0))
        self.connect((self.th_phase_corr_0_0, 0), (self.epy_block_0_0, 0))
        self.connect((self.th_phase_corr_0_0, 0), (self.qtgui_time_sink_x_0, 1))
        self.connect((self.osmosdr_source_0, 2), (self.band_pass_filter_0_0_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.epy_block_0_0_0, 0))
        self.connect((self.osmosdr_source_0, 0), (self.th_phase_corr_0, 0))
        self.connect((self.osmosdr_source_0, 1), (self.th_phase_corr_0_0, 0))
        self.connect((self.osmosdr_source_0, 2), (self.qtgui_time_sink_x_0, 2))

    def closeEvent(self, event):
        self.settings = Qt.QSettings("GNU Radio", "manual_calibration_with_noise_source")
        self.settings.setValue("geometry", self.saveGeometry())
        event.accept()

    def get_samp_rate(self):
        return self.samp_rate

    def set_samp_rate(self, samp_rate):
        self.samp_rate = samp_rate
        self.set_lowpass(firdes.low_pass(1,self.samp_rate,10000,50000))
        self.band_pass_filter_0.set_taps(firdes.band_pass(1, self.samp_rate, 2e3, 5e3, 1e2, firdes.WIN_HAMMING, 6.76))
        self.osmosdr_source_0.set_sample_rate(self.samp_rate)
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)
        self.band_pass_filter_0_0.set_taps(firdes.band_pass(1, self.samp_rate, 2e3, 5e3, 1e2, firdes.WIN_HAMMING, 6.76))
        self.band_pass_filter_0_0_0.set_taps(firdes.band_pass(1, self.samp_rate, 2e3, 5e3, 1e2, firdes.WIN_HAMMING, 6.76))

    def get_window_size(self):
        return self.window_size

    def set_window_size(self, window_size):
        self.window_size = window_size

    def get_stack2_args_0(self):
        return self.stack2_args_0

    def set_stack2_args_0(self, stack2_args_0):
        self.stack2_args_0 = stack2_args_0

    def get_stack2_args(self):
        return self.stack2_args

    def set_stack2_args(self, stack2_args):
        self.stack2_args = stack2_args

    def get_stack1_args(self):
        return self.stack1_args

    def set_stack1_args(self, stack1_args):
        self.stack1_args = stack1_args

    def get_sl2_ph_fix(self):
        return self.sl2_ph_fix

    def set_sl2_ph_fix(self, sl2_ph_fix):
        self.sl2_ph_fix = sl2_ph_fix
        self.th_phase_corr_0_0.set_phase(self.sl2_ph_fix)

    def get_sl1_ph_fix(self):
        return self.sl1_ph_fix

    def set_sl1_ph_fix(self, sl1_ph_fix):
        self.sl1_ph_fix = sl1_ph_fix
        self.th_phase_corr_0.set_phase(self.sl1_ph_fix)

    def get_rf_gain(self):
        return self.rf_gain

    def set_rf_gain(self, rf_gain):
        self.rf_gain = rf_gain
        self.osmosdr_source_0.set_gain(self.rf_gain, 0)
        self.osmosdr_source_0.set_gain(self.rf_gain, 1)
        self.osmosdr_source_0.set_gain(self.rf_gain, 2)

    def get_lowpass(self):
        return self.lowpass

    def set_lowpass(self, lowpass):
        self.lowpass = lowpass

    def get_if_gain(self):
        return self.if_gain

    def set_if_gain(self, if_gain):
        self.if_gain = if_gain
        self.osmosdr_source_0.set_if_gain(self.if_gain, 0)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 1)
        self.osmosdr_source_0.set_if_gain(self.if_gain, 2)

    def get_decim(self):
        return self.decim

    def set_decim(self, decim):
        self.decim = decim
        self.qtgui_time_sink_x_0.set_samp_rate(self.samp_rate/self.decim)

    def get_centr_freq(self):
        return self.centr_freq

    def set_centr_freq(self, centr_freq):
        self.centr_freq = centr_freq
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 0)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 1)
        self.osmosdr_source_0.set_center_freq(self.centr_freq, 2)

    def get_calibration_mode(self):
        return self.calibration_mode

    def set_calibration_mode(self, calibration_mode):
        self.calibration_mode = calibration_mode
        self._calibration_mode_callback(self.calibration_mode)
        self.osmosdr_source_0.set_gain_mode(self.calibration_mode, 0)

    def get_bb_gain(self):
        return self.bb_gain

    def set_bb_gain(self, bb_gain):
        self.bb_gain = bb_gain
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 0)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 1)
        self.osmosdr_source_0.set_bb_gain(self.bb_gain, 2)



def main(top_block_cls=manual_calibration_with_noise_source, options=None):

    if StrictVersion("4.5.0") <= StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
        style = gr.prefs().get_string('qtgui', 'style', 'raster')
        Qt.QApplication.setGraphicsSystem(style)
    qapp = Qt.QApplication(sys.argv)

    tb = top_block_cls()
    tb.start()
    tb.show()

    def sig_handler(sig=None, frame=None):
        Qt.QApplication.quit()

    signal.signal(signal.SIGINT, sig_handler)
    signal.signal(signal.SIGTERM, sig_handler)

    timer = Qt.QTimer()
    timer.start(500)
    timer.timeout.connect(lambda: None)

    def quitting():
        tb.stop()
        tb.wait()
    qapp.aboutToQuit.connect(quitting)
    qapp.exec_()


if __name__ == '__main__':
    main()
