#!/usr/bin/env python3
# -*- coding: utf-8 -*-

#
# SPDX-License-Identifier: GPL-3.0
#
# GNU Radio Python Flow Graph
# Title: simulate_phase_diffs_test
# Author: erik
# GNU Radio version: 3.8.1.0

from distutils.version import StrictVersion

if __name__ == '__main__':
    import ctypes
    import sys
    if sys.platform.startswith('linux'):
        try:
            x11 = ctypes.cdll.LoadLibrary('libX11.so')
            x11.XInitThreads()
        except:
            print("Warning: failed to XInitThreads()")

from PyQt5 import Qt
from gnuradio import qtgui
import sip
from gnuradio import analog
from gnuradio import blocks
from gnuradio import gr
from gnuradio.filter import firdes
import sys
import signal
from argparse import ArgumentParser
from gnuradio.eng_arg import eng_float, intx
from gnuradio import eng_notation
from gnuradio.qtgui import Range, RangeWidget
import epy_block_0_0_0_0_0
import epy_block_0_0_0_0_0_0
import epy_block_0_0_0_0_0_0_0
import th
import np  # embedded python module
from gnuradio import qtgui

class simulate_phase_diffs_test(gr.top_block, Qt.QWidget):

    def __init__(self):
        gr.top_block.__init__(self, "simulate_phase_diffs_test")
        Qt.QWidget.__init__(self)
        self.setWindowTitle("simulate_phase_diffs_test")
        qtgui.util.check_set_qss()
        try:
            self.setWindowIcon(Qt.QIcon.fromTheme('gnuradio-grc'))
        except:
            pass
        self.top_scroll_layout = Qt.QVBoxLayout()
        self.setLayout(self.top_scroll_layout)
        self.top_scroll = Qt.QScrollArea()
        self.top_scroll.setFrameStyle(Qt.QFrame.NoFrame)
        self.top_scroll_layout.addWidget(self.top_scroll)
        self.top_scroll.setWidgetResizable(True)
        self.top_widget = Qt.QWidget()
        self.top_scroll.setWidget(self.top_widget)
        self.top_layout = Qt.QVBoxLayout(self.top_widget)
        self.top_grid_layout = Qt.QGridLayout()
        self.top_layout.addLayout(self.top_grid_layout)

        self.settings = Qt.QSettings("GNU Radio", "simulate_phase_diffs_test")

        try:
            if StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
                self.restoreGeometry(self.settings.value("geometry").toByteArray())
            else:
                self.restoreGeometry(self.settings.value("geometry"))
        except:
            pass

        ##################################################
        # Variables
        ##################################################
        self.samp_rate = samp_rate = 2e6
        self.ang = ang = 0

        ##################################################
        # Blocks
        ##################################################
        self._ang_range = Range(0, 360, 1, 0, 200)
        self._ang_win = RangeWidget(self._ang_range, self.set_ang, 'ang', "counter_slider", int)
        self.top_grid_layout.addWidget(self._ang_win)
        self.qtgui_vector_sink_f_0 = qtgui.vector_sink_f(
            1024,
            -180,
            360/1024,
            "x-Axis",
            "y-Axis",
            "",
            4 # Number of inputs
        )
        self.qtgui_vector_sink_f_0.set_update_time(0.10)
        self.qtgui_vector_sink_f_0.set_y_axis(0, 1)
        self.qtgui_vector_sink_f_0.enable_autoscale(False)
        self.qtgui_vector_sink_f_0.enable_grid(False)
        self.qtgui_vector_sink_f_0.set_x_axis_units("")
        self.qtgui_vector_sink_f_0.set_y_axis_units("")
        self.qtgui_vector_sink_f_0.set_ref_level(0)

        labels = ['COMBINED', 'Sla1-Sla2', 'Sla1-Mast', 'Sla2-Mast', '',
            '', '', '', '', '']
        widths = [3, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        alphas = [1.0, 1.0, 1.0, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(4):
            if len(labels[i]) == 0:
                self.qtgui_vector_sink_f_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_vector_sink_f_0.set_line_label(i, labels[i])
            self.qtgui_vector_sink_f_0.set_line_width(i, widths[i])
            self.qtgui_vector_sink_f_0.set_line_color(i, colors[i])
            self.qtgui_vector_sink_f_0.set_line_alpha(i, alphas[i])

        self._qtgui_vector_sink_f_0_win = sip.wrapinstance(self.qtgui_vector_sink_f_0.pyqwidget(), Qt.QWidget)
        self.top_grid_layout.addWidget(self._qtgui_vector_sink_f_0_win)
        self.qtgui_histogram_sink_x_1_0 = qtgui.histogram_sink_f(
            1024,
            100,
            -np.pi,
            np.pi,
            "fft",
            3
        )

        self.qtgui_histogram_sink_x_1_0.set_update_time(0.10)
        self.qtgui_histogram_sink_x_1_0.enable_autoscale(True)
        self.qtgui_histogram_sink_x_1_0.enable_accumulate(False)
        self.qtgui_histogram_sink_x_1_0.enable_grid(False)
        self.qtgui_histogram_sink_x_1_0.enable_axis_labels(True)


        labels = ['Sl2 - Sl1', 'Mast - Sl1', 'Mast - Sl2', '', '',
            '', '', '', '', '']
        widths = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        colors = ["blue", "red", "green", "black", "cyan",
            "magenta", "yellow", "dark red", "dark green", "dark blue"]
        styles = [1, 1, 1, 1, 1,
            1, 1, 1, 1, 1]
        markers= [-1, -1, -1, -1, -1,
            -1, -1, -1, -1, -1]
        alphas = [0.6, 0.6, 0.6, 1.0, 1.0,
            1.0, 1.0, 1.0, 1.0, 1.0]

        for i in range(3):
            if len(labels[i]) == 0:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, "Data {0}".format(i))
            else:
                self.qtgui_histogram_sink_x_1_0.set_line_label(i, labels[i])
            self.qtgui_histogram_sink_x_1_0.set_line_width(i, widths[i])
            self.qtgui_histogram_sink_x_1_0.set_line_color(i, colors[i])
            self.qtgui_histogram_sink_x_1_0.set_line_style(i, styles[i])
            self.qtgui_histogram_sink_x_1_0.set_line_marker(i, markers[i])
            self.qtgui_histogram_sink_x_1_0.set_line_alpha(i, alphas[i])

        self._qtgui_histogram_sink_x_1_0_win = sip.wrapinstance(self.qtgui_histogram_sink_x_1_0.pyqwidget(), Qt.QWidget)
        self.top_grid_layout.addWidget(self._qtgui_histogram_sink_x_1_0_win)
        self.th_GEN_simulate_phase_diffs_0 = th.GEN_simulate_phase_diffs(301.675e6, ang, 0, 0, 2, 0, 0, -3)
        self.th_GEN_phase_diffs_to_ang_0 = th.GEN_phase_diffs_to_ang(301.675e6, 0, 0, 2, 0, 0, -3, 10)
        self.epy_block_0_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0_0 = epy_block_0_0_0_0_0_0.blk()
        self.epy_block_0_0_0_0_0 = epy_block_0_0_0_0_0.blk()
        self.blocks_throttle_0 = blocks.throttle(gr.sizeof_float*1, samp_rate,True)
        self.analog_const_source_x_0 = analog.sig_source_f(0, analog.GR_CONST_WAVE, 0, 0, 0)



        ##################################################
        # Connections
        ##################################################
        self.connect((self.analog_const_source_x_0, 0), (self.blocks_throttle_0, 0))
        self.connect((self.blocks_throttle_0, 0), (self.th_GEN_simulate_phase_diffs_0, 0))
        self.connect((self.epy_block_0_0_0_0_0, 0), (self.th_GEN_phase_diffs_to_ang_0, 1))
        self.connect((self.epy_block_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 1))
        self.connect((self.epy_block_0_0_0_0_0_0, 0), (self.th_GEN_phase_diffs_to_ang_0, 2))
        self.connect((self.epy_block_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 2))
        self.connect((self.epy_block_0_0_0_0_0_0_0, 0), (self.th_GEN_phase_diffs_to_ang_0, 0))
        self.connect((self.epy_block_0_0_0_0_0_0_0, 0), (self.qtgui_histogram_sink_x_1_0, 0))
        self.connect((self.th_GEN_phase_diffs_to_ang_0, 3), (self.qtgui_vector_sink_f_0, 3))
        self.connect((self.th_GEN_phase_diffs_to_ang_0, 2), (self.qtgui_vector_sink_f_0, 2))
        self.connect((self.th_GEN_phase_diffs_to_ang_0, 0), (self.qtgui_vector_sink_f_0, 0))
        self.connect((self.th_GEN_phase_diffs_to_ang_0, 1), (self.qtgui_vector_sink_f_0, 1))
        self.connect((self.th_GEN_simulate_phase_diffs_0, 0), (self.epy_block_0_0_0_0_0, 0))
        self.connect((self.th_GEN_simulate_phase_diffs_0, 1), (self.epy_block_0_0_0_0_0_0, 0))
        self.connect((self.th_GEN_simulate_phase_diffs_0, 2), (self.epy_block_0_0_0_0_0_0_0, 0))

    def closeEvent(self, event):
        self.settings = Qt.QSettings("GNU Radio", "simulate_phase_diffs_test")
        self.settings.setValue("geometry", self.saveGeometry())
        event.accept()

    def get_samp_rate(self):
        return self.samp_rate

    def set_samp_rate(self, samp_rate):
        self.samp_rate = samp_rate
        self.blocks_throttle_0.set_sample_rate(self.samp_rate)

    def get_ang(self):
        return self.ang

    def set_ang(self, ang):
        self.ang = ang
        self.th_GEN_simulate_phase_diffs_0.set_angle(self.ang)



def main(top_block_cls=simulate_phase_diffs_test, options=None):

    if StrictVersion("4.5.0") <= StrictVersion(Qt.qVersion()) < StrictVersion("5.0.0"):
        style = gr.prefs().get_string('qtgui', 'style', 'raster')
        Qt.QApplication.setGraphicsSystem(style)
    qapp = Qt.QApplication(sys.argv)

    tb = top_block_cls()
    tb.start()
    tb.show()

    def sig_handler(sig=None, frame=None):
        Qt.QApplication.quit()

    signal.signal(signal.SIGINT, sig_handler)
    signal.signal(signal.SIGTERM, sig_handler)

    timer = Qt.QTimer()
    timer.start(500)
    timer.timeout.connect(lambda: None)

    def quitting():
        tb.stop()
        tb.wait()
    qapp.aboutToQuit.connect(quitting)
    qapp.exec_()


if __name__ == '__main__':
    main()
