#!/usr/bin/env python
#
# Copyright 2016
# Travis F. Collins <travisfcollins@gmail.com>
# Srikanth Pagadarai <srikanth.pagadarai@gmail.com>
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#
import numpy
from gnuradio import gr;
import time
import random

from PyQt5 import Qt, QtCore, QtGui
from PyQt5.QtWidgets import QFrame, QHBoxLayout, QVBoxLayout, QLabel, QProgressBar
import qwt as Qwt

class compass(gr.sync_block, QFrame):
    __pyqtSignals__ = ("updatePlot(int)")

    def __init__(self, label="", min_val=-90, max_val=90, step=10, arc_bias=0, *args):
        gr.sync_block.__init__(self,name="QT Compass",in_sig=[numpy.float32],out_sig=[])
        QFrame.__init__(self, *args)

        self.lblcontrol = QLabel("textlabel", self)

    def change_angle(self,angle):
        pass

    def trigger_update(self):
        self.emit(QtCore.SIGNAL("updatePlot(int)"), 0)

    def do_plot(self, a):
        # Update qt plots
        # self.change_angle(self.next_angle)
        # self.lcd.display(self.next_angle)
        self.replot()

    def work(self, input_items, output_items):
        # Average inputs

        

        # Consume all inputs
        return len(input_items[0])