#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 2021 gr-kalvantula author.
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#


import numpy
from gnuradio import gr

class disambiguate(gr.sync_block):
    """
    docstring for block disambiguate
    """
    def __init__(self, threshold):
        gr.sync_block.__init__(self,
            name="disambiguate",
            in_sig=[(numpy.float32, 360), (numpy.float32, 360)],
            out_sig=[(numpy.float32, 360)])
        self.threshold = threshold

    def set_threshold(self, threshold):
        self.threshold = threshold


    def work(self, input_items, output_items):
        in0 = input_items[0]
        peak = np.max(in0)

        peak = peak - threshold
        if peak > np.pi:
            peak - 2*np.pi

        return len(output_items[0])

